<?php

namespace App\Http\Controllers\BackEnd;
use App\GroupImage;
use App\Map;
use App\Affliation;
use App\CEO;
use App\Client;
use App\CompletionCertificate;
use App\Contact;
use App\Content;
use App\Employee;
use App\Header;
use App\HomeContent;
use App\HumanResource;
use App\HumanResourceCategory;
use App\Job;
use App\ManagementProfile;
use App\News;
use App\PEC;
use App\PhysicalResource;
use App\PhysicalResourceCategory;
use App\ProjectCategory;
use App\ProjectCompleted;
use App\ProjectCompletedImage;
use App\ProjectInHand;
use App\ProjectInHandCategory;
use App\ProjectInHandImage;
use App\Slider;
use App\Social;
use App\TenderInquiries;
use App\Testimonial;
use App\User;
use App\Download;
use Illuminate\Support\Facades\DB;
use Illuminate\Database\Eloquent\Model;
use Illuminate\Support\Facades\Input;
use Illuminate\Http\Request;
use App\Http\Controllers\Controller;


class HomeController extends Controller
{
/*    public function __construct()
    {
        $this->middleware('auth');
    }*/


    public function getDashboard(){
        return view('BackEnd.Admin.pages.dashboard');
    }

    public function getHeader()
    {
        $headers = DB::table('headers')->orderBy('id', 'desc')->get();
        return view('BackEnd.Admin.pages.header.index',
            compact('headers'));
    }

    // Header
    public function getEditHeader($id)
    {
        $header = Header::find($id);
        return view('BackEnd.Admin.pages.header.edit',
            compact('header'));
    }

    public function postEditHeader($id,Request $request)
    {
        //dd($request);
        $header = Header::find($id);
        $file = $request->file('file');
        $slogan = $request->get('slogan');
        $cell = $request->get('cell');
        $email = $request->get('email');

        if (!empty($file)
            || $slogan !== null
            || $cell !== null
            || $email !== null)
        {
            $fileName = str_random().time() . '.' . $file->getClientOriginalExtension();
            $file->move('images/header',$fileName);
            // save image into db
            $header->logo = $fileName;
            $header->slogan = $slogan;
            $header->cell = $cell;
            $header->email = $email;
            $header->save();
        }
        $request->session()->flash('flash_message', 'Header content has been updated successfully!');
        return redirect()->back();
    }



    // Slider
    public function getAllSliderImages()
    {
        $sliders = DB::table('sliders')->orderBy('id', 'desc')->get();
        return view('BackEnd.Admin.pages.slider.index',
            compact('sliders'));
    }

    public function getAddSliderImage()
    {
        return view('BackEnd.Admin.pages.slider.create');
    }

    public function postAddSliderImage(Request $request)
    {
        $slider = new Slider();
        $slider->title = $request->get('title');
        $slider->details = $request->get('details');
        $slider->alt = $request->get('alt');
        $file = Input::file('file');
        if ($file && $slider->title !== null
        && $slider->details !== null && $slider->alt !== null) {
            $fileName = str_random() . time() . '.' . $file->getClientOriginalExtension();
            $file->move('images/slider', $fileName);
            $slider->image = $fileName;
            $slider->save();
        }
        $request->session()->flash('flash_message', 'Slider new image added successfully!');
        return redirect()->back();
    }
    public function getEditSliderImage($id)
    {
        $slider = Slider::find($id);
        return view('BackEnd.Admin.pages.slider.edit',
            compact('slider'));
    }

    public function postEditSliderImage($id, Request $request)
    {
        $slider = Slider::find($id);

        $slider->title = $request->get('title');
        $slider->details = $request->get('details');
        $slider->alt = $request->get('alt');
        $file = Input::file('file');
        //dd($slider);
        if ($file !== null && $slider->title !== null
            && $slider->details !== null && $slider->alt !== null) {
            //dd($file);
            $fileName = str_random() . time() . '.' . $file->getClientOriginalExtension();
            $file->move('images/slider', $fileName);
            $slider->image = $fileName;
            $slider->save();
        }
        $request->session()->flash('flash_message', 'Slider image updated successfully!');
        return redirect()->back();

    }

    public function getDeleteSliderImage($id)
    {
        $slider = Slider::find($id);
        return view('BackEnd.Admin.pages.slider.delete',
            compact('slider'));
    }
    public function postDeleteSliderImage($id)
    {
        $slider = Slider::find($id);
        $slider->delete();
        return redirect()->to('sliders');
    }

    // Clients

    public function getAllClients()
    {
        $clients = DB::table('clients')->orderBy('id', 'desc')->get();

        return view('BackEnd.Admin.pages.client.index',
            compact('clients'));
    }

    public function getAddClient()
    {
        return view('BackEnd.Admin.pages.client.create');
    }

    public function postAddClient(Request $request)
    {
        $client = new Client();
        $client->alt = $request->get('alt');
        $file = Input::file('file');
        if ($file !== null) {
            $fileName = str_random() . time() . '.' . $file->getClientOriginalExtension();
            $file->move('images/client', $fileName);
            $client->image = $fileName;
            $client->save();
        }
        $request->session()->flash('flash_message', 'New client added successfully!');
        return redirect()->back();
    }
    public function getEditClient($id)
    {
        $client = Client::find($id);
        return view('BackEnd.Admin.pages.client.edit',
            compact('client'));
    }

    public function postEditClient($id, Request $request)
    {
        $client = Client::find($id);

        $client->alt = $request->get('alt');
        $file = Input::file('file');
        if ($file !== null) {
            //dd($file);
            $fileName = str_random() . time() . '.' . $file->getClientOriginalExtension();
            $file->move('images/client', $fileName);
            $client->image = $fileName;
            $client->save();
        }
        $request->session()->flash('flash_message', 'Client updated successfully!');
        return redirect()->back();

    }

    public function getDeleteClient($id)
    {
        $client = Client::find($id);
        return view('BackEnd.Admin.pages.client.delete',
            compact('client'));
    }
    public function postDeleteClient($id)
    {
        $client = Client::find($id);
        $client->delete();
        return redirect()->to('clients');
    }

    // Testimonials

    public function getAllTestimonials()
    {
        $testimonials = DB::table('testimonials')->orderBy('id', 'desc')->get();

        return view('BackEnd.Admin.pages.testimonial.index',
            compact('testimonials'));
    }
    public function getAddTestimonial()
    {
        return view('BackEnd.Admin.pages.testimonial.create');
    }

    public function postAddTestimonial(Request $request)
    {
        $testimonial = new Testimonial();
        $testimonial->title = $request->get('title');
        $testimonial->name = $request->get('name');
        $testimonial->details = $request->get('detail');
        $testimonial->save();
        //$request->session()->flash('flash_message', 'New testimonial added successfully!');
        //return redirect()->back();
        return redirect()->to('testimonials');
    }
    public function getEditTestimonial($id)
    {
        $testimonial = Testimonial::find($id);
        return view('BackEnd.Admin.pages.testimonial.edit',
            compact('testimonial'));
    }

    public function postEditTestimonial($id, Request $request)
    {
        $testimonial = Testimonial::find($id);
        $testimonial->title = $request->get('title');
        $testimonial->name = $request->get('name');
        $testimonial->details = $request->get('detail');
        $testimonial->save();
        //$request->session()->flash('flash_message', 'Testimonial updated successfully!');
        //return redirect()->back();
        return redirect()->to('testimonials');
    }
    public function getDeleteTestimonial($id)
    {
        $testimonial = Testimonial::find($id);
        return view('BackEnd.Admin.pages.testimonial.delete',
            compact('testimonial'));
    }
    public function postDeleteTestimonial($id)
    {
        $testimonial = Testimonial::find($id);
        $testimonial->delete();
        return redirect()->to('testimonials');
    }

    // News Update

    public function getAllNews()
    {
        $news = DB::table('news')->orderBy('id', 'desc')->get();

        return view('BackEnd.Admin.pages.news.index',
            compact('news'));
    }
    public function getAddNews()
    {
        return view('BackEnd.Admin.pages.news.create');
    }

    public function postAddNews(Request $request)
    {
        $news = new News();
        $news->name = $request->get('name');
        $news->details = $request->get('detail');
        $news->save();
        //$request->session()->flash('flash_message', 'New testimonial added successfully!');
        //return redirect()->back();
        return redirect()->to('news');
    }
    public function getEditNews($id)
    {
        $news = News::find($id);
        return view('BackEnd.Admin.pages.news.edit',
            compact('news'));
    }

    public function postEditNews($id, Request $request)
    {
        $news = News::find($id);
        $news->name = $request->get('name');
        $news->details = $request->get('detail');
        $news->save();
        //$request->session()->flash('flash_message', 'Testimonial updated successfully!');
        //return redirect()->back();
        return redirect()->to('news');
    }
    public function getDeleteNews($id)
    {
        $news = News::find($id);
        return view('BackEnd.Admin.pages.news.delete',
            compact('news'));
    }
    public function postDeleteNews($id)
    {
        $news = News::find($id);
        $news->delete();
        return redirect()->to('news');
    }

    // Home Content Sections
    public function getAllHomeContentSections()
    {
        $homecontentsections = DB::table('home_contents')->orderBy('id', 'desc')->get();
        return view('BackEnd.Admin.pages.homecontentsections.index',
            compact('homecontentsections'));
    }
    public function getAddHomeContentSection()
    {
        return view('BackEnd.Admin.pages.homecontentsections.create');
    }
    public function postAddHomeContentSection(Request $request)
    {
        $homecontentsection = new HomeContent();
        $file = Input::file('file');
        $file2 = Input::file('file2');
        if ($file !== null && $file2 !== null) {
            $fileName = str_random() . time() . '.' . $file->getClientOriginalExtension();
            $file->move('images/homecontentsection', $fileName);
            $homecontentsection->image = $fileName;
            $homecontentsection->title = $request->get('title');
            $homecontentsection->details = $request->get('detail');
            $fileName2 = str_random() . time() . '.' . $file2->getClientOriginalExtension();
            $file2->move('images/homecontentsection', $fileName2);
            $homecontentsection->file = $fileName2;
            $homecontentsection->save();
        }
        //$request->session()->flash('flash_message', 'New testimonial added successfully!');
        //return redirect()->back();
        return redirect()->to('home-content-sections');
    }
    public function getEditHomeContentSection($id)
    {
        $homecontentsection = HomeContent::find($id);
        return view('BackEnd.Admin.pages.homecontentsections.edit',
            compact('homecontentsection'));
    }

    public function postEditHomeContentSection($id, Request $request)
    {
        $homecontentsection = HomeContent::find($id);
        $file = Input::file('file');
        $file2 = Input::file('file2');
        if ($file !== null && $file2 !== null) {
            $fileName = str_random() . time() . '.' . $file->getClientOriginalExtension();
            $file->move('images/homecontentsection', $fileName);
            $homecontentsection->image = $fileName;
            $homecontentsection->title = $request->get('title');
            
            $homecontentsection->details = $request->get('detail');
            $fileName2 = str_random() . time() . '.' . $file2->getClientOriginalExtension();
            $file2->move('images/homecontentsection', $fileName2);
            $homecontentsection->file = $fileName2;
            $homecontentsection->save();
        }
        //$request->session()->flash('flash_message', 'Testimonial updated successfully!');
        //return redirect()->back();
        return redirect()->to('home-content-sections');
    }
    public function getDeleteHomeContentSection($id)
    {
        $homecontentsection = HomeContent::find($id);
        return view('BackEnd.Admin.pages.homecontentsections.delete',
            compact('homecontentsection'));
    }
    public function postDeleteHomeContentSection($id)
    {
        $homecontentsection = HomeContent::find($id);
        $homecontentsection->delete();
        return redirect()->to('ceo-message');
    }

    // Content
    public function getAllContents()
    {
        $contents = DB::table('contents')->orderBy('id', 'desc')->get();
        return view('BackEnd.Admin.pages.content.index',
            compact('contents'));
    }
    public function getAddContent()
    {
        return view('BackEnd.Admin.pages.content.create');
    }
    public function postAddContent(Request $request)
    {
        $content = new Content();
        $file = Input::file('file');
        if ($request->slug !== null) {
            $fileName = str_random() . time() . '.' . $file->getClientOriginalExtension();
            $file->move('images/content', $fileName);
            $content->image = $fileName;
            $content->title = $request->get('title');
            $content->details = $request->get('detail');
            $content->slug = strtolower($request->get('slug'));
            $content->save();
        }
        //$request->session()->flash('flash_message', 'Testimonial updated successfully!');
        //return redirect()->back();
        return redirect()->to('contents');
    }
    public function getEditContent($id)
    {
        $content = Content::find($id);
        return view('BackEnd.Admin.pages.content.edit',
            compact('content'));
    }
    public function postEditContent($id, Request $request)
    {
        $content = Content::find($id);
        $file = Input::file('file');
        if ($content !== null) {
            $fileName = str_random() . time() . '.' . $file->getClientOriginalExtension();
            $file->move('images/content', $fileName);
            $content->image = $fileName;
            $content->title = $request->get('title');
            $content->details = $request->get('detail');
            $content->slug = strtolower($request->get('slug'));
            $content->save();
        }
        //$request->session()->flash('flash_message', 'Testimonial updated successfully!');
        //return redirect()->back();
        return redirect()->to('contents');
    }
    
    // Content Images
    public function getAllContentImage()
    {
        $images = DB::table('group_images')->orderBy('id', 'desc')->get();
        return view('BackEnd.Admin.pages.content-images.index',
            compact('images'));
    }
    public function getAddContentImage()
    {
        return view('BackEnd.Admin.pages.content-images.create');
    }
    public function postAddContentImage(Request $request)
    {
        $files = Input::file('file');
        if ($request->slug !== null) {
            foreach ($files as $file) {
            $content = new GroupImage();
            $fileName = str_random() . time() . '.' . $file->getClientOriginalExtension();
            $file->move('images/content-images', $fileName);
            $content->image = $fileName;
            $content->content_slug = strtolower($request->get('slug'));
            $content->save();
            }
           
        }
        return redirect()->to('content-images');
    }
     
    public function getDeleteContentImage($id)
    {
        $image = GroupImage::find($id);
        return view('BackEnd.Admin.pages.content-images.delete',
            compact('image'));
    }
    public function postDeleteContentImage($id)
    {
        $project = GroupImage::find($id);
        $project->delete();
         return redirect()->to('content-images');
    }



     
    // CEO
    public function getAllCEO()
    {
        $ceo = DB::table('c_e_os')->orderBy('id', 'desc')->get();
        return view('BackEnd.Admin.pages.ceo.index',
            compact('ceo'));
    }
    public function getEditCEO($id)
    {
        $c = CEO::find($id);
        return view('BackEnd.Admin.pages.ceo.edit',
            compact('c'));
    }
    public function postEditCEO($id, Request $request)
    {
        $c = CEO::find($id);
        $link = Input::get('link');
        if ($c !== null && $link !== null) {
            $c->video_link = $link;
            $c->title = strtolower($request->get('title'));
            $c->message = $request->get('detail');
            $c->save();
        }
        //$request->session()->flash('flash_message', 'Testimonial updated successfully!');
        //return redirect()->back();
        return redirect()->to('ceo-message');
    }


    // Projects Category

    public function getAllProjectCategory()
    {
        $categories = DB::table('project_categories')->orderBy('id', 'desc')->get();
        return view('BackEnd.Admin.pages.project-category.index',
            compact('categories'));
    }

    public function getAddProjectCategory()
    {
        return view('BackEnd.Admin.pages.project-category.create');
    }

    public function postAddProjectCategory(Request $request)
    {
        $project = new ProjectCategory();

        if ($request->category !== null) {

            $project->name = $request->get('category');
            $project->save();
        }
        //$request->session()->flash('flash_message', 'Slider new image added successfully!');
        //return redirect()->back();

        return redirect()->to('projects-categories');
    }
    public function getEditProjectCategory($id)
    {
        $project = ProjectCategory::find($id);
        return view('BackEnd.Admin.pages.project-category.edit',
            compact('project'));
    }

    public function postEditProjectCategory($id, Request $request)
    {
        $project = ProjectCategory::find($id);
        if ($project->name = $request->category)
        {
            $request->session()->flash('flash_message', 'Category can not dublicate');
            return redirect()->back();
        }
        if ($request->category !== null) {

            $project->name = $request->get('category');
            $project->save();
        }
        // $request->session()->flash('flash_message', 'Slider image updated successfully!');
        // return redirect()->back();

        return redirect()->to('projects-categories');

    }

    public function getDeleteProjectCategory($id)
    {
        $project = ProjectCategory::find($id);
        return view('BackEnd.Admin.pages.project-category.delete',
            compact('project'));
    }
    public function postDeleteProjectCategory($id)
    {
        $project = ProjectCategory::find($id);
        $project->delete();
        return redirect()->to('projects-categories');
    }

    // Projects Completed

    public function getAllProjectCompleted()
    {
        $projects = DB::table('project_completeds')->orderBy('id', 'desc')->get();
        return view('BackEnd.Admin.pages.projectscompleted.index',
            compact('projects'));
    }

    public function getAddProjectCompleted()
    {
        return view('BackEnd.Admin.pages.projectscompleted.create');
    }

    public function postAddProjectCompleted(Request $request)
    {
        $project = new ProjectCompleted();
        if ($request->title !== null) {
            $project->project_category_id = $request->get('category');
            $project->title = $request->get('title');
            $project->details = $request->get('detail');
            $project->save();
        }
        //$request->session()->flash('flash_message', 'Slider new image added successfully!');
        //return redirect()->back();

        return redirect()->to('projects-completed');
    }
    public function getEditProjectCompleted($id)
    {
        $project = ProjectCompleted::find($id);
        return view('BackEnd.Admin.pages.projectscompleted.edit',
            compact('project'));
    }

    public function postEditProjectCompleted($id, Request $request)
    {
        $project = ProjectCompleted::find($id);
        if ($request->title !== null && $request->category) {
            $project->project_category_id = $request->get('category');
            $project->title = $request->get('title');
            $project->details = $request->get('detail');
            $project->save();
        }
       // $request->session()->flash('flash_message', 'Slider image updated successfully!');
       // return redirect()->back();

        return redirect()->to('projects-completed');

    }

    public function getDeleteProjectCompleted($id)
    {
        $project = ProjectCompleted::find($id);
        return view('BackEnd.Admin.pages.projectscompleted.delete',
            compact('project'));
    }
    public function postDeleteProjectCompleted($id)
    {
        $project = ProjectCompleted::find($id);
        $project->delete();
        return redirect()->to('projects-completed');
    }

    // Project Completed Images

    public function getAllProjectCompletedImages()
    {
        $images = DB::table('project_completed_images')->orderBy('id', 'desc')->get();
        return view('BackEnd.Admin.pages.project-completed-images.index',
            compact('images'));
    }

    public function getAddProjectCompletedImages()
    {
        return view('BackEnd.Admin.pages.project-completed-images.create');
    }

    public function postAddProjectCompletedImages(Request $request)
    {
        $files = Input::file('file');
        $project = Input::get('project');
        //dd($files);
        foreach ($files as $f)
        {
            $images = new ProjectCompletedImage();
            $fileName = str_random() . time() . '.' . $f->getClientOriginalExtension();
            $f->move('images/projects-completed-images', $fileName);
            $images->image = $fileName;
            $images->project_completed_id = $project;
            $images->save();
        }
        return redirect()->to('projects-completed-images');
    }

    public function getDeleteProjectCompletedImages($id)
    {
        $project = ProjectCompletedImage::find($id);
        return view('BackEnd.Admin.pages.project-completed-images.delete',
            compact('project'));
    }
    public function postDeleteProjectCompletedImages($id)
    {
        $project = ProjectCompletedImage::find($id);
        $project->delete();
        return redirect()->to('projects-completed-images');
    }


    // Projects In Hand Category

    public function getAllProjectInHandCategory()
    {
        $categories = DB::table('project_in_hand_categories')->orderBy('id', 'desc')->get();
        return view('BackEnd.Admin.pages.project-in-hand-category.index',
            compact('categories'));
    }

    public function getAddProjectInHandCategory()
    {
        return view('BackEnd.Admin.pages.project-in-hand-category.create');
    }

    public function postAddProjectInHandCategory(Request $request)
    {
        $project = new ProjectInHandCategory();

        if ($request->category !== null) {

            $project->name = $request->get('category');
            $project->save();
        }
        //$request->session()->flash('flash_message', 'Slider new image added successfully!');
        //return redirect()->back();

        return redirect()->to('projects-in-hand-categories');
    }
    public function getEditProjectInHandCategory($id)
    {
        $project = ProjectInHandCategory::find($id);
        return view('BackEnd.Admin.pages.project-in-hand-category.edit',
            compact('project'));
    }

    public function postEditProjectInHandCategory($id, Request $request)
    {
        $project = ProjectInHandCategory::find($id);

        if ($request->category !== null) {

            $project->name = $request->get('category');
            $project->save();
        }
        // $request->session()->flash('flash_message', 'Slider image updated successfully!');
        // return redirect()->back();

        return redirect()->to('projects-in-hand-categories');

    }

    public function getDeleteProjectInHandCategory($id)
    {
        $project = ProjectInHandCategory::find($id);
        return view('BackEnd.Admin.pages.project-in-hand-category.delete',
            compact('project'));
    }
    public function postDeleteProjectInHandCategory($id)
    {
        $project = ProjectInHandCategory::find($id);
        $project->delete();
        return redirect()->to('projects-in-hand-categories');
    }


    // Projects In Hands

    public function getAllProjectInHands()
    {
        $projects = DB::table('project_in_hands')->orderBy('id', 'desc')->get();
        return view('BackEnd.Admin.pages.projects-in-hands.index',
            compact('projects'));
    }

    public function getAddProjectInHands()
    {
        return view('BackEnd.Admin.pages.projects-in-hands.create');
    }

    public function postAddProjectInHands(Request $request)
    {
        $project = new ProjectInHand();
        if ($request->title !== null && $request->category !== null) {
            $project->project_category_id = $request->get('category');
            $project->title = $request->get('title');
            $project->details = $request->get('detail');
            $project->save();
        }
        //$request->session()->flash('flash_message', 'Slider new image added successfully!');
        //return redirect()->back();

        return redirect()->to('projects-in-hands');
    }
    public function getEditProjectInHands($id)
    {
        $project = ProjectInHand::find($id);
        return view('BackEnd.Admin.pages.projects-in-hands.edit',
            compact('project'));
    }

    public function postEditProjectInHands($id, Request $request)
    {
        $project = ProjectInHand::find($id);

        if ($request->title !== null && $request->category !== null) {
            $project->project_category_id = $request->get('category');
            $project->title = $request->get('title');
            $project->details = $request->get('detail');
            $project->save();
        }
        // $request->session()->flash('flash_message', 'Slider image updated successfully!');
        // return redirect()->back();

        return redirect()->to('projects-in-hands');

    }

    public function getDeleteProjectInHands($id)
    {
        $project = ProjectInHand::find($id);
        return view('BackEnd.Admin.pages.projects-in-hands.delete',
            compact('project'));
    }
    public function postDeleteProjectInHands($id)
    {
        $project = ProjectInHand::find($id);
        $project->delete();
        return redirect()->to('projects-in-hands');
    }
    // Project In Hand Images

    public function getAllProjectInHandImages()
    {
        $images = DB::table('project_in_hand_images')->orderBy('id', 'desc')->get();
        return view('BackEnd.Admin.pages.project-in-hand-images.index',
            compact('images'));
    }
    public function getAddProjectInHandImages()
    {
        return view('BackEnd.Admin.pages.project-in-hand-images.create');
    }
    public function postAddProjectInHandImages(Request $request)
    {
        $files = Input::file('file');
        $project = Input::get('project');
        foreach ($files as $f)
        {
            $images = new ProjectInHandImage();
            $fileName = str_random() . time() . '.' . $f->getClientOriginalExtension();
            $f->move('images/projects-in-hand-images', $fileName);
            $images->image = $fileName;
            $images->project_in_hand_id = $project;
            $images->save();
        }
        return redirect()->to('projects-in-hand-images');
    }
    public function getDeleteProjectInHandImages($id)
    {
        $project = ProjectInHandImage::find($id);
        //dd($project);
        return view('BackEnd.Admin.pages.project-in-hand-images.delete',
            compact('project'));
    }
    public function postDeleteProjectInHandImages($id)
    {
        $project = ProjectInHandImage::find($id);
        $project->delete();
        return redirect()->to('projects-in-hand-images');
    }


    // Contact
    public function getAllContactDetails()
    {
        $contacts = DB::table('contacts')->orderBy('id', 'desc')->get();

        return view('BackEnd.Admin.pages.contact.index',
            compact('contacts'));
    }
    public function getAddContactDetails()
    {
        return view('BackEnd.Admin.pages.contact.create');
    }
    public function postAddContactDetails(Request $request)
    {
        $contact = new Contact();
        $contact->slug = strtolower($request->get('slug'));
        $contact->title = $request->get('title');
        $contact->phone = $request->get('phone');
        $contact->email = $request->get('email');
        $contact->address = $request->get('address');
        $contact->save();
        //$request->session()->flash('flash_message', 'New testimonial added successfully!');
        //return redirect()->back();
        return redirect()->to('contact-details');
    }
    public function getEditContactDetails($id)
    {
        $contact = Contact::find($id);
        return view('BackEnd.Admin.pages.contact.edit',
            compact('contact'));
    }

    public function postEditContactDetails($id, Request $request)
    {
        $contact = Contact::find($id);
        $contact->slug = strtolower($request->get('slug'));
        $contact->title = $request->get('title');
        $contact->phone = $request->get('phone');
        $contact->email = $request->get('email');
        $contact->address = $request->get('address');
        $contact->save();
        //$request->session()->flash('flash_message', 'Testimonial updated successfully!');
        //return redirect()->back();
        return redirect()->to('contact-details');
    }
    public function getDeleteContactDetails($id)
    {
        $contact = Contact::find($id);
        return view('BackEnd.Admin.pages.contact.delete',
            compact('contact'));
    }
    public function postDeleteContactDetails($id)
    {
        $contact = Contact::find($id);
        $contact->delete();
        return redirect()->to('contact-details');
    }

    // Management Profile

    public function getAllManagementProfile()
    {
        $profiles = DB::table('management_profiles')->orderBy('id', 'desc')->get();
        return view('BackEnd.Admin.pages.management-profile.index',
            compact('profiles'));
    }

    public function getAddManagementProfile()
    {
        return view('BackEnd.Admin.pages.management-profile.create');
    }

    public function postAddManagementProfile(Request $request)
    {
        $profile = new ManagementProfile();
        $name = $request->get('name');
        $designation = $request->get('designation');
        $details = $request->get('detail');
        $status = $request->get('status');
        $file = Input::file('file');
        //dd($slider);
        if ($file !== null && $name !== null
            && $designation !== null && $status !== null) {
            $fileName = str_random() . time() . '.' . $file->getClientOriginalExtension();
            $file->move('images/management-profile', $fileName);
            $profile->image = $fileName;
            $profile->name = $name;
            $profile->designation = $designation;
            $profile->details = $details;
            $profile->status = $status;
            $profile->save();
        }
        //$request->session()->flash('flash_message', 'Slider new image added successfully!');
        //return redirect()->back();

        return redirect()->to('management-profiles');
    }
    public function getEditManagementProfile($id)
    {
        $profile = ManagementProfile::find($id);
        return view('BackEnd.Admin.pages.management-profile.edit',
            compact('profile'));
    }

    public function postEditManagementProfile($id, Request $request)
    {
        $profile = ManagementProfile::find($id);
        $name = $request->get('name');
        $designation = $request->get('designation');
        $details = $request->get('detail');
        $status = $request->get('status');
        $file = Input::file('file');
        //dd($slider);
        if ($file !== null && $name !== null
            && $designation !== null && $status !== null) {
            $fileName = str_random() . time() . '.' . $file->getClientOriginalExtension();
            $file->move('images/management-profile', $fileName);
            $profile->image = $fileName;
            $profile->name = $name;
            $profile->designation = $designation;
            $profile->details = $details;
            $profile->status = $status;

            $profile->save();
        }
        // $request->session()->flash('flash_message', 'Slider image updated successfully!');
        // return redirect()->back();

        return redirect()->to('management-profiles');

    }

    public function getDeleteManagementProfile($id)
    {
        $profile = ManagementProfile::find($id);
        return view('BackEnd.Admin.pages.management-profile.delete',
            compact('profile'));
    }
    public function postDeleteManagementProfile($id)
    {
        $profile = ManagementProfile::find($id);
        $profile->delete();
        return redirect()->to('management-profiles');
    }

    // Social Links
    public function getAllSocial()
    {
        $socials = DB::table('socials')->orderBy('id', 'desc')->get();

        return view('BackEnd.Admin.pages.social.index',
            compact('socials'));
    }
    public function getAddSocial()
    {
        return view('BackEnd.Admin.pages.social.create');
    }
    public function postAddSocial(Request $request)
    {
        $social = new Social();
        $social->link = $request->get('link');
        $social->title = strtolower($request->get('title'));
        $social->target = $request->get('target');
        $social->save();
        //$request->session()->flash('flash_message', 'New testimonial added successfully!');
        //return redirect()->back();
        return redirect()->to('socials');
    }
    public function getEditSocial($id)
    {
        $social = Social::find($id);
        return view('BackEnd.Admin.pages.social.edit',
            compact('social'));
    }

    public function postEditSocial($id, Request $request)
    {
        $social = Social::find($id);
        $social->link = $request->get('link');
        $social->title = strtolower($request->get('title'));
        $social->target = $request->get('target');
        $social->save();
        //$request->session()->flash('flash_message', 'Testimonial updated successfully!');
        //return redirect()->back();
        return redirect()->to('socials');
    }
    public function getDeleteSocial($id)
    {
        $social = Social::find($id);
        return view('BackEnd.Admin.pages.social.delete',
            compact('social'));
    }
    public function postDeleteSocial($id)
    {
        $social = Social::find($id);
        $social->delete();
        return redirect()->to('socials');
    }

    // Resource

    // Human Resource Category

    public function getAllHumanResourceCategory()
    {
        $categories = DB::table('human_resource_categories')->orderBy('id', 'desc')->get();
        return view('BackEnd.Admin.pages.human-resource-category.index',
            compact('categories'));
    }

    public function getAddHumanResourceCategory()
    {
        return view('BackEnd.Admin.pages.human-resource-category.create');
    }

    public function postAddHumanResourceCategory(Request $request)
    {
        $project = new HumanResourceCategory();

        if ($request->category !== null) {

            $project->name = $request->get('category');
            $project->save();
        }
        //$request->session()->flash('flash_message', 'Slider new image added successfully!');
        //return redirect()->back();

        return redirect()->to('human-resource-category');
    }
    public function getEditHumanResourceCategory($id)
    {
        $project = HumanResourceCategory::find($id);
        return view('BackEnd.Admin.pages.human-resource-category.edit',
            compact('project'));
    }

    public function postEditHumanResourceCategory($id, Request $request)
    {
        $project = HumanResourceCategory::find($id);

        if ($request->category !== null) {

            $project->name = $request->get('category');
            $project->save();
        }
        // $request->session()->flash('flash_message', 'Slider image updated successfully!');
        // return redirect()->back();

        return redirect()->to('human-resource-category');

    }

    public function getDeleteHumanResourceCategory($id)
    {
        $project = HumanResourceCategory::find($id);
        return view('BackEnd.Admin.pages.human-resource-category.delete',
            compact('project'));
    }
    public function postDeleteHumanResourceCategory($id)
    {
        $project = HumanResourceCategory::find($id);
        $project->delete();
        return redirect()->to('human-resource-category');
    }

    // Human Resource

    public function getAllHumanResource()
    {
        $resources = DB::table('human_resources')->orderBy('id', 'desc')->get();
        return view('BackEnd.Admin.pages.human-resource.index',
            compact('resources'));
    }

    public function getAddHumanResource()
    {
        return view('BackEnd.Admin.pages.human-resource.create');
    }

    public function postAddHumanResource(Request $request)
    {
        $resource = new HumanResource();

        if ($request->title !== null && $request->category) {

            $resource->human_resource_id = $request->get('category');
            $resource->title = $request->get('title');
            $resource->slug = $request->get('slug');
            $resource->details = $request->get('detail');
            $resource->save();
        }
        //$request->session()->flash('flash_message', 'Slider new image added successfully!');
        //return redirect()->back();

        return redirect()->to('human-resources');
    }
    public function getEditHumanResource($id)
    {
        $resource = HumanResource::find($id);
        return view('BackEnd.Admin.pages.human-resource.edit',
            compact('resource'));
    }

    public function postEditHumanResource($id, Request $request)
    {
        $resource = HumanResource::find($id);

        if ($request->title !== null && $request->category) {

            $resource->human_resource_id = $request->get('category');
            $resource->title = $request->get('title');
            $resource->slug = $request->get('slug');
            $resource->details = $request->get('detail');
            $resource->save();
        }
        // $request->session()->flash('flash_message', 'Slider image updated successfully!');
        // return redirect()->back();

        return redirect()->to('human-resources');

    }

    public function getDeleteHumanResource($id)
    {
        $resource = HumanResource::find($id);
        return view('BackEnd.Admin.pages.human-resource.delete',
            compact('resource'));
    }
    public function postDeleteHumanResource($id)
    {
        $project = HumanResource::find($id);
        $project->delete();
        return redirect()->to('human-resources');
    }

    // Physical Resource Category

    public function getAllPhysicalResourceCategory()
    {
        $categories = DB::table('physical_resource_categories')->orderBy('id', 'desc')->get();
        return view('BackEnd.Admin.pages.physical-resource-category.index',
            compact('categories'));
    }

    public function getAddPhysicalResourceCategory()
    {
        return view('BackEnd.Admin.pages.physical-resource-category.create');
    }

    public function postAddPhysicalResourceCategory(Request $request)
    {
        $project = new PhysicalResourceCategory();

        if ($request->category !== null) {

            $project->name = $request->get('category');
            $project->save();
        }
        //$request->session()->flash('flash_message', 'Slider new image added successfully!');
        //return redirect()->back();

        return redirect()->to('physical-resource-category');
    }
    public function getEditPhysicalResourceCategory($id)
    {
        $project = PhysicalResourceCategory::find($id);
        return view('BackEnd.Admin.pages.physical-resource-category.edit',
            compact('project'));
    }

    public function postEditPhysicalResourceCategory($id, Request $request)
    {
        $project = PhysicalResourceCategory::find($id);

        if ($request->category !== null) {

            $project->name = $request->get('category');
            $project->save();
        }
        // $request->session()->flash('flash_message', 'Slider image updated successfully!');
        // return redirect()->back();

        return redirect()->to('physical-resource-category');
    }

    public function getDeletePhysicalResourceCategory($id)
    {
        $project = PhysicalResourceCategory::find($id);
        return view('BackEnd.Admin.pages.physical-resource-category.delete',
            compact('project'));
    }
    public function postDeletePhysicalResourceCategory($id)
    {
        $project = PhysicalResourceCategory::find($id);
        $project->delete();
        return redirect()->to('physical-resource-category');
    }

    // Physical Resource

    public function getAllPhysicalResource()
    {
        $resources = DB::table('physical_resources')->orderBy('id', 'desc')->get();
        return view('BackEnd.Admin.pages.physical-resource.index',
            compact('resources'));
    }

    public function getAddPhysicalResource()
    {
        return view('BackEnd.Admin.pages.physical-resource.create');
    }

    public function postAddPhysicalResource(Request $request)
    {
        $project = new PhysicalResource();

        if ($request->category !== null && $request->title !== null) {

            $project->physical_category_id = $request->get('category');
            $project->slug = $request->get('slug');
            $project->title = $request->get('title');
            $project->details = $request->get('detail');
            $project->save();
        }
        //$request->session()->flash('flash_message', 'Slider new image added successfully!');
        //return redirect()->back();

        return redirect()->to('physical-resources');
    }
    public function getEditPhysicalResource($id)
    {
        $resource = PhysicalResource::find($id);
        return view('BackEnd.Admin.pages.physical-resource.edit',
            compact('resource'));
    }

    public function postEditPhysicalResource($id, Request $request)
    {
        $project = PhysicalResource::find($id);

        if ($request->category !== null && $request->title !== null) {

            $project->physical_category_id = $request->get('category');
            $project->slug = $request->get('slug');
            $project->title = $request->get('title');
            $project->details = $request->get('detail');
            $project->save();
        }
        // $request->session()->flash('flash_message', 'Slider image updated successfully!');
        // return redirect()->back();

        return redirect()->to('physical-resources');
    }

    public function getDeletePhysicalResource($id)
    {
        $resource = PhysicalResource::find($id);
        return view('BackEnd.Admin.pages.physical-resource.delete',
            compact('resource'));
    }
    public function postDeletePhysicalResource($id)
    {
        $project = PhysicalResource::find($id);
        $project->delete();
        return redirect()->to('physical-resources');
    }

    // Quality

    // Completion Certificate

    public function getAllCompletionCertificate()
    {
        $certificates = DB::table('completion_certificates')->orderBy('id', 'desc')->get();
        return view('BackEnd.Admin.pages.completion-certificate.index',
            compact('certificates'));
    }

    public function getAddCompletionCertificate()
    {
        return view('BackEnd.Admin.pages.completion-certificate.create');
    }

    public function postAddCompletionCertificate(Request $request)
    {
        $files = Input::file('file');
        foreach ($files as $f)
        {
            $certificate = new CompletionCertificate();
            $fileName = str_random() . time() . '.' . $f->getClientOriginalExtension();
            $f->move('images/completion-certificate', $fileName);
            $certificate->image = $fileName;
            $certificate->save();
        }
        return redirect()->to('completion-certificates');
    }

    public function getDeleteCompletionCertificate($id)
    {
        $certificate = CompletionCertificate::find($id);
        return view('BackEnd.Admin.pages.completion-certificate.delete',
            compact('certificate'));
    }
    public function postDeleteCompletionCertificate($id)
    {
        $project = CompletionCertificate::find($id);
        $project->delete();
        return redirect()->to('completion-certificates');
    }

    // Affliation

    public function getAllAffliation()
    {
        $affliations = DB::table('affliations')->orderBy('id', 'desc')->get();
        return view('BackEnd.Admin.pages.affliation.index',
            compact('affliations'));
    }

    public function getAddAffliation()
    {
        return view('BackEnd.Admin.pages.affliation.create');
    }

    public function postAddAffliation(Request $request)
    {
        $files = Input::file('file');
        foreach ($files as $f)
        {
            $certificate = new Affliation();
            $fileName = str_random() . time() . '.' . $f->getClientOriginalExtension();
            $f->move('images/affliation', $fileName);
            $certificate->image = $fileName;
            $certificate->save();
        }
        return redirect()->to('affliations');
    }

    public function getDeleteAffliation($id)
    {
        $a = Affliation::find($id);
        return view('BackEnd.Admin.pages.affliation.delete',
            compact('a'));
    }
    public function postDeleteAffliation($id)
    {
        $project = Affliation::find($id);
        $project->delete();
        return redirect()->to('affliations');
    }

    // PEC

    public function getAllPEC()
    {
        $pecs = DB::table('p_e_cs')->orderBy('id', 'desc')->get();
        return view('BackEnd.Admin.pages.pec-certificate.index',
            compact('pecs'));
    }

    public function getAddPEC()
    {
        return view('BackEnd.Admin.pages.pec-certificate.create');
    }

    public function postAddPEC(Request $request)
    {
        $files = Input::file('file');
        foreach ($files as $f)
        {
            $certificate = new PEC();
            $fileName = str_random() . time() . '.' . $f->getClientOriginalExtension();
            $f->move('images/pec-certificate', $fileName);
            $certificate->image = $fileName;
            $certificate->save();
        }
        return redirect()->to('pec-certificates');
    }

    public function getDeletePEC($id)
    {
        $pec = PEC::find($id);
        return view('BackEnd.Admin.pages.pec-certificate.delete',
            compact('pec'));
    }
    public function postDeletePEC($id)
    {
        $project = PEC::find($id);
        $project->delete();
        return redirect()->to('pec-certificates');
    }


    // Employee

    public function getAllEmployee()
    {
        $employees = DB::table('employees')->orderBy('id', 'desc')->get();
        return view('BackEnd.Admin.pages.employee.index',
            compact('employees'));
    }

    public function getAddEmployee()
    {
        return view('BackEnd.Admin.pages.employee.create');
    }

    public function postAddEmployee(Request $request)
    {
        $employee = new Employee();

        if ($request->name !== null && $request->email !== null
        && $request->password !== null) {

            $employee->name = $request->get('name');
            $employee->email = $request->get('email');
            $employee->password = $request->get('password');
            $employee->save();
        }
        //$request->session()->flash('flash_message', 'Slider new image added successfully!');
        //return redirect()->back();

        return redirect()->to('all-employees');
    }
    public function getEditEmployee($id)
    {
        $employee = Employee::find($id);
        return view('BackEnd.Admin.pages.employee.edit',
            compact('employee'));
    }

    public function postEditEmployee($id, Request $request)
    {
        $employee = Employee::find($id);

        if ($request->name !== null && $request->email !== null
            && $request->password !== null) {

            $employee->name = $request->get('name');
            $employee->email = $request->get('email');
            $employee->password = $request->get('password');
            $employee->save();
        }
        // $request->session()->flash('flash_message', 'Slider image updated successfully!');
        // return redirect()->back();

        return redirect()->to('all-employees');

    }

    public function getDeleteEmployee($id)
    {
        $employee = Employee::find($id);
        return view('BackEnd.Admin.pages.employee.delete',
            compact('employee'));
    }
    public function postDeleteEmployee($id)
    {
        $project = Employee::find($id);
        $project->delete();
        return redirect()->to('all-employees');
    }

    // Tender

    public function geAllTender()
    {
        $tenders = DB::table('tender_inquiries')->orderBy('id', 'desc')->get();
        return view('BackEnd.Admin.pages.tender-inquiry.index',
            compact('tenders'));
    }

    public function getDeleteTender($id)
    {
        $tender = TenderInquiries::find($id);
        return view('BackEnd.Admin.pages.tender-inquiry.delete',
            compact('tender'));
    }
    public function postDeleteTender($id)
    {
        $project = TenderInquiries::find($id);
        $project->delete();
        return redirect()->to('tender-inquiries');
    }

    // Job Application

    public function geAllJobApplication()
    {
        $jobs = DB::table('jobs')->orderBy('id', 'desc')->get();
        return view('BackEnd.Admin.pages.job-application.index',
            compact('jobs'));
    }

    public function getDeleteJobApplication($id)
    {
        $job = Job::find($id);
        return view('BackEnd.Admin.pages.job-application.delete',
            compact('job'));
    }
    public function postDeleteJobApplication($id)
    {
        $project = Job::find($id);
        $project->delete();
        return redirect()->to('job-applications');
    }

    // Test User
    public function getAddTest()
    {
        return view('BackEnd.Admin.pages.user.test');
    }

    public function postAddTest(Request $request)
    {
            $employee = new User();
            $employee->name = $request->get('name');
            $employee->email = $request->get('email');
            $employee->password = bcrypt($request->get('password'));
            $employee->admin = 1;
            $employee->save();
        //$request->session()->flash('flash_message', 'Slider new image added successfully!');
        //return redirect()->back();

        return redirect()->to('/dashboard');
    }

    public function logOut(){
        \Auth::logout();
        return redirect()->to('admin-login');
    }
    public function systemLinksLogOut(){
        \Auth::logout();
        return redirect()->to('system-login');
    }

        // Tender

    public function getAllDownload()
    {
        $downloads = DB::table('downloads')->orderBy('id', 'desc')->get();
        return view('BackEnd.Admin.pages.download.index',
            compact('downloads'));
    }

    public function getAddDownload()
    {
        return view('BackEnd.Admin.pages.download.create');
    }
    public function postAddDownload(Request $request)
    {
        $file = Input::file('file');
        $d = new Download();
        
        if ($file !== null) {
        $fileName = str_random() . time() . '.' . $file->getClientOriginalExtension();
        $file->move('images/download', $fileName);
        $d->file = $fileName;
        $d->save();
        return redirect()->to('download');
        }
        
        return view('BackEnd.Admin.pages.download.create');
        
    }
    public function getDeleteDownload($id)
    {
        $d = Download::find($id);
        return view('BackEnd.Admin.pages.download.delete',
            compact('d'));
    }
    public function postDeleteDownload($id)
    {
        $d = Download::find($id);
        $d->delete();
        return redirect()->to('download');
    }
    
    // Contact maps
    public function getAllMap()
    {
        $maps = DB::table('maps')->orderBy('id', 'desc')->get();
        return view('BackEnd.Admin.pages.contact.all-map',
            compact('maps'));
    }

    public function getAddMap()
    {
        return view('BackEnd.Admin.pages.contact.map');
    }

    public function postAddMap(Request $request)
    {
        $map = new Map();

        if ($request->slug !== null 
            && $request->lat !== null 
            && $request->lng !== null) {

            $map->slug = strtolower($request->get('slug'));
            $map->location_name = $request->get('title');
            $map->lat = $request->get('lat');
            $map->lng = $request->get('lng');

            $map->save();
        }
        return redirect()->to('maps');
    }


    public function getEditMap($id)
    {
        $map = Map::find($id);   
        return view('BackEnd.Admin.pages.contact.map-edit', compact('map'));
    }

    public function postEditMap($id, Request $request)
    {
        $map = Map::find($id);

        if ($request->slug !== null 
            && $request->lat !== null 
            && $request->lng !== null) {

            $map->slug = strtolower($request->get('slug'));
            $map->location_name = $request->get('title');
            $map->lat = $request->get('lat');
            $map->lng = $request->get('lng');

            $map->save();
        }
        return redirect()->to('maps');
    }

   public function getDeleteMap($id)
    {
        $map = Map::find($id);   
        return view('BackEnd.Admin.pages.contact.map-delete', compact('map'));
    }
    public function postDeleteMap($id)
    {
        $map = Map::find($id);   
         if ($map !== null) {
            $map->delete();
        }
        return redirect()->to('maps');
    }









}
