<?php

namespace App\Http\Controllers\FrontEnd;
use App\Map;
use App\Affliation;
use App\CEO;
use App\Client;
use App\CompletionCertificate;
use App\Contact;
use App\Content;
use App\Employee;
use App\Header;
use App\HomeContent;
use App\Job;
use App\ManagementProfile;
use App\News;
use App\PEC;
use App\ProjectCompleted;
use App\ProjectInHand;
use App\Slider;
use App\TenderInquiries;
use App\Testimonial;
use App\User;
use App\Download;
use Illuminate\Support\Facades\App;
use Illuminate\Support\Facades\DB;
use Illuminate\Database\Eloquent\Model;
use Illuminate\Support\Facades\Input;
use Illuminate\Http\Request;
use App\Http\Controllers\Controller;

class HomeController extends Controller
{
    public function getIndex(){
        return view('FrontEnd.pages.home.index');
    }

    public function getThaheemQualityManagement()
    {
        $content = Content::where('slug',
                'thaheem-quality-management')->first();
        return view('FrontEnd.pages.home-content-sections.thaheem-quality-management',
            compact('content'));

    }
    public function getThaheemBusinessSectors()
    {
        $content = Content::where('slug',
                'thaheem-business-sectors')->first();
        return view('FrontEnd.pages.home-content-sections.thaheem-business-sectors',
            compact('content'));

    }
    public function getThaheemAwardsAchievements()
    {
        $content = Content::where('slug',
                'thaheem-awards-achievements')->first();
        return view('FrontEnd.pages.home-content-sections.thaheem-awards-achievements',
            compact('content'));

    }
    
    public function getMessageVision()
    {
        $content = Content::where('slug', 'message-vision')->first();
        return view('FrontEnd.pages.about.message-vision',
            compact('content'));

    }

    public function getOrganizationChart()
    {
        $content = Content::where('slug', 'oganization-chart')->first();
        return view('FrontEnd.pages.about.oganization-chart',
            compact('content'));

    }

    public function getManagementProfile()
    {
        $content = Content::where('slug', 'management-profile')->first();
        return view('FrontEnd.pages.about.management-profile',
            compact('content'));

    }

    public function getNewsUpdates()
    {
        $content = Content::where('slug', 'news-updates')->first();
        return view('FrontEnd.pages.about.news-updates',
            compact('content'));

    }

    public function getServices()
    {
        $content = Content::where('slug', 'services')->first();
        return view('FrontEnd.pages.about.services',
            compact('content'));

    }
    public function getThaheemConcrete()
    {
        $content = Content::where('slug', 'thaheem-concrete')->first();
        $images = DB::table('group_images')
                 ->where('content_slug', $content->id)
                 ->select('group_images.image')->get();
        return view('FrontEnd.pages.thaheem-groups.thaheem-concrete',
            compact('content', 'images'));

    }
    public function getThaheemFarms()
    {
        $content = Content::where('slug', 'thaheem-farms')->first();
         $images = DB::table('group_images')
                 ->where('content_slug', $content->id)
                 ->select('group_images.image')->get();
        return view('FrontEnd.pages.thaheem-groups.thaheem-farms',
            compact('content', 'images'));

    }

    public function getUbaidullahEnterprises()
    {
        $content = Content::where('slug', 'ubaidullah-enterprises')->first();
         $images = DB::table('group_images')
                 ->where('content_slug', $content->id)
                 ->select('group_images.image')->get();
        return view('FrontEnd.pages.thaheem-groups.ubaidullah-enterprises',
            compact('content', 'images'));

    }
    public function getAbdullahBuilder()
    {
        $content = Content::where('slug', 'abdullah-builder')->first();
         $images = DB::table('group_images')
                 ->where('content_slug', $content->id)
                 ->select('group_images.image')->get();
        return view('FrontEnd.pages.thaheem-groups.abdullah-builder',
            compact('content', 'images'));

    }

    public function getManzoorBuilders()
    {
        $content = Content::where('slug', 'manzoor-builders')->first();
         $images = DB::table('group_images')
                 ->where('content_slug', $content->id)
                 ->select('group_images.image')->get();
        return view('FrontEnd.pages.thaheem-groups.manzoor-builders',
            compact('content', 'images'));

    }

    public function getUzairBuilders()
    {
        $content = Content::where('slug', 'uzair-builders')->first();
         $images = DB::table('group_images')
                 ->where('content_slug', $content->id)
                 ->select('group_images.image')->get();
        return view('FrontEnd.pages.thaheem-groups.uzair-builders',
            compact('content', 'images'));

    }

    public function getThaheemConstruction()
    {
        $content = Content::where('slug', 'thaheem-construction')->first();
         $images = DB::table('group_images')
                 ->where('content_slug', $content->id)
                 ->select('group_images.image')->get();
        return view('FrontEnd.pages.thaheem-groups.thaheem-construction',
            compact('content', 'images'));

    }
    public function getUbaidullahBuilders()
    {
        $content = Content::where('slug', 'ubaidullah-builders')->first();
         $images = DB::table('group_images')
                 ->where('content_slug', $content->id)
                 ->select('group_images.image')->get();
        return view('FrontEnd.pages.thaheem-groups.ubaidullah-builders',
            compact('content', 'images'));

    }

    public function getTccConstruction()
    {
        $content = Content::where('slug', 'tcc-construction')->first();
         $images = DB::table('group_images')
                 ->where('content_slug', $content->id)
                 ->select('group_images.image')->get();
        return view('FrontEnd.pages.thaheem-groups.tcc-construction',
            compact('content', 'images'));

    }

    // Projects Completed 
    public function getProjectCompleted()
    {
        $content = Content::where('slug', 'project-completed')->first();
        
        return view('FrontEnd.pages.projects.project-completed',
            compact('content'));
    }

    // Projects Completed Single
    public function getProjectCompletedList($id)
    {
        $content = Content::where('slug', 'project-completed')->first();
        $projects = \DB::table('project_completeds')->where('project_category_id',$id)->get();

        return view('FrontEnd.pages.projects.project-completed-list',
            compact('content', 'projects'));

    }


    // Projects Completed Single 
    public function getProjectCompletedSingle($id)
    {
        $content = Content::where('slug', 'project-completed')->first();
        $p = \App\ProjectCompleted::find($id);
        return view('FrontEnd.pages.projects.project-completed-single',
            compact('content', 'p'));
                
    }
    

    // Projects
    public function getProjectInHand()
    {
        $content = Content::where('slug', 'project-in-hand')->first();
       
        return view('FrontEnd.pages.projects.project-in-hand',
            compact('content'));

    }
    // Projects In Hand List
    public function getProjectInHandList($id)
    {
        $content = Content::where('slug', 'project-in-hand')->first();

        $projects = \DB::table('project_in_hands')->where('project_category_id',$id)->get();

        return view('FrontEnd.pages.projects.project-in-hand-list',
            compact('content', 'projects'));

    }

    // Projects In Hand Single 
    public function getProjectInHandSingle($id)
    {
        $content = Content::where('slug', 'project-in-hand')->first();
        $p = \App\ProjectInHand::find($id);
        return view('FrontEnd.pages.projects.project-in-hand-single',
            compact('content', 'p'));

    }

    public function getProjectPresentation()
    {
        $content = Content::where('slug', 'project-presentation')->first();
        return view('FrontEnd.pages.projects.project-presentation',
            compact('content'));

    }
    public function getHumanResource()
    {
        $content = Content::where('slug', 'human-resource')->first();
        return view('FrontEnd.pages.resources.human-resource',
            compact('content'));

    }
    public function getPhysicalResource()
    {
        $content = Content::where('slug', 'physical-resource')->first();
        return view('FrontEnd.pages.resources.physical-resource',
            compact('content'));

    }
    public function getCompletionCertificate()
    {
        $content = Content::where('slug', 'completion-certificate')->first();
        $certificates = CompletionCertificate::all();
        return view('FrontEnd.pages.quality.completion-certificate',
            compact('content', 'certificates'));

    }

    public function getAffliation()
    {
        $content = Content::where('slug', 'affliation-certificate')->first();
        $certificates = Affliation::all();
        return view('FrontEnd.pages.quality.affliation',
            compact('content', 'certificates'));

    }
    public function getPEC()
    {
        $content = Content::where('slug', 'pec-certificate')->first();
        $pecs = PEC::all();
        return view('FrontEnd.pages.quality.pec-certificate',
            compact('content', 'pecs'));

    }
    
    public function getSystemLinks()
    {
        $content = Content::where('slug', 'system-links')->first();
        return view('FrontEnd.pages.Login.system-links',
            compact('content')); 
    }

    public function getSystemLogin()
    {
        $content = Content::where('slug', 'system-login')->first();
        return view('FrontEnd.pages.Login.system-login',
            compact('content'));

    }
    public function postSystemLogin(Request $request)
    {
        $email = $request->get('email');
        $password = $request->get('password');
        $employee = Employee::where([
            ['email', '=' ,$email],
            ['password', '=' ,$password]
        ])->first();
        
        // check mac adddress 
        ob_start();
        system('ipconfig/all');
        $mac = ob_get_contents();
        ob_clean();
        $name = "Physical";
        $pmac = strpos($mac, $name);
        $macAddr = substr($mac, ($pmac + 36), 17);
        //dd($macAddr);

        if ($employee !== null)
        {
            //return view('FrontEnd.pages.login.system-links');

            return redirect()->to('system-links');

        }
        return view('FrontEnd.pages.Login.system-login');
    }

    public function getAdminLogin()
    {
        $content = Content::where('slug', 'admin-login')->first();
        return view('FrontEnd.pages.Login.admin-login',
            compact('content'));

    }
    public function postAdminLogin(Request $request)
    {
        $data = $request->only('email', 'password');
        if (\Auth::attempt($data)) {
            return redirect()->intended('/dashboard');
        }
        return back()->withInput();
        /*$email = $request->get('email');
        $password = $request->get('password');

        $employee = User::where([
            ['email', '=' ,$email],
            ['password', '=' ,$password]
        ])->first();
        dd($employee);
        if ($employee !== null)
        {
            return redirect()->to('/dashboard');
        }
        return view('FrontEnd.pages.login.admin-login');*/
    }

    public function getAddTender()
    {
        return view('FrontEnd.pages.contact.tender');
    }

    public function postAddTender(Request $request)
    {
        $tender = new TenderInquiries();

        if ($request->first !== null
            && $request->email !== null
            && $request->phone !== null)
        {
            $tender->first = $request->get('first');
            $tender->last = $request->get('last');
            $tender->email = $request->get('email');
            $tender->phone = $request->get('phone');
            $tender->details = $request->get('detail');
            $tender->save();
        }
        $request->session()->flash('flash_message', 'Your tender inquiry has been sent successfully!');
        return redirect()->back();

    }

    public function getAddJobApplication()
    {
        return view('FrontEnd.pages.contact.job-application');
    }

    public function postAddJobApplication(Request $request)
    {
        $tender = new Job();
        $file = Input::file('file');
        if ($request->first !== null
            && $request->email !== null
            && $request->phone !== null
            && $request->position !== null
            && $request->date !== null
            && $request->status !== null)
        {
            $tender->first = $request->get('first');
            $tender->last = $request->get('last');
            $tender->email = $request->get('email');
            $tender->phone = $request->get('phone');
            $tender->available = $request->get('date');
            $tender->status = $request->get('status');
            $tender->position = $request->get('position');
            $fileName = str_random() . time() . '.' . $file->getClientOriginalExtension();
            $file->move('images/job', $fileName);
            $tender->resume_file = $fileName;
            $tender->resume_url = $request->get('url');
            $tender->save();
        }
        $request->session()->flash('flash_message', 'Your job application has been sent successfully!');
        return redirect()->back();

    }

    public function getOfficeLocation()
    {
        $content = Content::where('slug', 'office-location')->first();
        $locations = Map::all();
        return view('FrontEnd.pages.contact.office-location',
            compact('content', 'locations'));

    }
    public function getDownload()
    {
        $content = Content::where('slug', 'downloads')->first();
        $downloads = Download::all();
        return view('FrontEnd.pages.resources.download',
            compact('content', 'downloads'));

    }








}
