@extends('BackEnd.Admin.layouts.master')

@section('title', 'Edit CEO Message')

@section('content')
    <div class="box box-info">
        <div class="box-header with-border">
            <h3 class="box-title" style="text-align: center">Edit CEO Message</h3>
        </div>
        <br>
        @if(Session::has('flash_message'))
            <div class="alert alert-success">
                {{ Session::get('flash_message') }}
            </div>
        @endif
        @if (count($errors) > 0)
            <div class="alert alert-danger">
                <strong>Error!</strong> please provide below form fields.<br><br>
                <ul>
                    @foreach($errors->all() as $error)
                        <li>{{$error}}</li>
                    @endforeach
                </ul>
            </div>
        @endif
        <br>
        <div class="box-body">
            <form method="post" action="{{url('edit-ceo-message/'.$c->id)}}" enctype="multipart/form-data">
                <input type="hidden" name="_token" value="{{ csrf_token() }}">


                <div class="input-group">
                    <div class="input-group-addon">
                        <i class="fa fa-user"></i>
                    </div>
                    <input type="text" name="title" autofocus value="{{old('title', $c->title)}}" class="form-control" placeholder="Title">
                </div>
                <br>
                <div class="input-group">
                    <div class="input-group-addon">
                        <i class="fa fa-home"></i>
                    </div>
                    <input type="text" name="link" value="{{old('link', $c->video_link)}}" id="" class="form-control">
                </div>

                <br>
                <div class="input-group" style="width: 100%">
                    <label for="welcome">Details</label>
                    <textarea class="form-control" rows="5" id="detail" name="detail">
                        {!!$c->message!!}
                    </textarea>
                </div>
                <br>
                <div class="form-group">
                    <input type="submit" value="Update" class="btn btn-primary" id="">
                    <a href="{{url('ceo-message')}}" class="btn btn-danger">Cancel</a>

                </div>
            </form>
            <br>

            <script>
                CKEDITOR.replace( 'detail' );
            </script>
        </div>

        <!-- /.box-body -->
    </div>



@endsection
