@extends('BackEnd.Admin.layouts.master')

@section('title', 'Edit Client')

@section('content')
    <div class="box box-info">
        <div class="box-header with-border">
            <h3 class="box-title" style="text-align: center">Edit Client</h3>
        </div>
        <br>
        @if(Session::has('flash_message'))
            <div class="alert alert-success">
                {{ Session::get('flash_message') }}
            </div>
        @endif
        @if (count($errors) > 0)
            <div class="alert alert-danger">
                <strong>Error!</strong> please provide below form fields.<br><br>
                <ul>
                    @foreach($errors->all() as $error)
                        <li>{{$error}}</li>
                    @endforeach
                </ul>
            </div>
        @endif
        <br>
        <div class="box-body">
            <form method="post" action="{{url('edit-client/'.$client->id)}}" enctype="multipart/form-data">
                <input type="hidden" name="_token" value="{{ csrf_token() }}">

                <div class="input-group">
                    <div class="input-group-addon">
                        <i class="fa fa-image"></i>
                    </div>
                    <input type="file" name="file" value="{{old('file', $client->image)}}" id="file" class="form-control">
                </div>
                <br>
                <div class="input-group">
                    <div class="input-group-addon">
                        <i class="fa fa-envelope"></i>
                    </div>
                    <input type="text" name="alt" value="{{old('file', $client->alt)}}" class="form-control" placeholder="Image Alt Text">
                </div>

                <br>
                <div class="form-group">

                    <input type="submit" value="Update" class="btn btn-primary" id="">
                    <a href="{{url('clients')}}" class="btn btn-danger">Cancel</a>

                </div>
            </form>
        </div>

        <!-- /.box-body -->
    </div>

@endsection

@section('postJquery')
    @parent



@endsection