@extends('BackEnd.Admin.layouts.master')

@section('title', 'Edit Contact Details')

@section('content')
    <div class="box box-info">
        <div class="box-header with-border">
            <h3 class="box-title" style="text-align: center">Edit Contact Details</h3>
        </div>
        <br>
        @if(Session::has('flash_message'))
            <div class="alert alert-success">
                {{ Session::get('flash_message') }}
            </div>
        @endif
        @if (count($errors) > 0)
            <div class="alert alert-danger">
                <strong>Error!</strong> please provide below form fields.<br><br>
                <ul>
                    @foreach($errors->all() as $error)
                        <li>{{$error}}</li>
                    @endforeach
                </ul>
            </div>
        @endif
        <br>
        <div class="box-body">
            <form method="post" action="{{url('edit-contact-details/'.$contact->id)}}" enctype="multipart/form-data">
                <input type="hidden" name="_token" value="{{ csrf_token() }}">
                <div class="input-group">
                    <span class="input-group-addon">#</span>
                    <input type="text" name="slug" value="{{old('slug', $contact->slug)}}" autofocus class="form-control" placeholder="Slug">
                </div>
                <br>
                <div class="input-group">
                    <span class="input-group-addon">#</span>
                    <input type="text" name="title" value="{{old('slug', $contact->title)}}" class="form-control" placeholder="Title">
                </div>
                <br>
                <div class="input-group">
                    <span class="input-group-addon">#</span>
                    <input type="text" name="phone" value="{{old('phone', $contact->phone)}}" class="form-control" placeholder="Phone">
                </div>
                <br>
                <div class="input-group">
                    <span class="input-group-addon">#</span>
                    <input type="email" name="email" value="{{old('email', $contact->email)}}" class="form-control" placeholder="Email">
                </div>
                <br>
                <div class="input-group">
                    <span class="input-group-addon">#</span>
                    <input type="text" name="address" value="{{old('address', $contact->address)}}" class="form-control" placeholder="Address">
                </div>

                <br>
                <div class="form-group">
                    <input type="submit" value="Update" class="btn btn-primary" id="">
                    <a href="{{url('contact-details')}}" class="btn btn-danger">Cancel</a>
                </div>
            </form>
            <br>

        </div>
        <!-- /.box-body -->
    </div>
@endsection
