@extends('BackEnd.Admin.layouts.master')

@section('title', 'Edit Employee')

@section('content')
    <div class="box box-info">
        <div class="box-header with-border">
            <h3 class="box-title" style="text-align: center">Edit Employee</h3>
        </div>
        <br>
        @if(Session::has('flash_message'))
            <div class="alert alert-success">
                {{ Session::get('flash_message') }}
            </div>
        @endif
        @if (count($errors) > 0)
            <div class="alert alert-danger">
                <strong>Error!</strong> please provide below form fields.<br><br>
                <ul>
                    @foreach($errors->all() as $error)
                        <li>{{$error}}</li>
                    @endforeach
                </ul>
            </div>
        @endif
        <br>
        <div class="box-body">
            <form method="post" action="{{url('edit-employee/'.$employee->id)}}" enctype="multipart/form-data">
                <input type="hidden" name="_token" value="{{ csrf_token() }}">
                <div class="input-group">
                    <span class="input-group-addon">#</span>
                    <input type="text" name="name" value="{{old('name', $employee->name)}}" autofocus class="form-control" placeholder="Name">
                </div>
                <br>
                <div class="input-group">
                    <span class="input-group-addon">#</span>
                    <input type="email" name="email" value="{{old('email', $employee->email)}}" class="form-control" placeholder="Email">
                </div>
                <br>
                <div class="input-group">
                    <span class="input-group-addon">#</span>
                    <input type="password" name="password" value="{{old('password', $employee->password)}}" class="form-control" placeholder="Password">
                </div>
                <br>
                <div class="form-group">
                    <input type="submit" value="Update" class="btn btn-primary" id="">
                    <a href="{{url('all-employees')}}" class="btn btn-danger">Cancel</a>
                </div>
            </form>
            <br>

        </div>
        <!-- /.box-body -->
    </div>
@endsection
