@extends('admin.layouts.master')

@section('title', 'Add New Employee')

@section('content')
    <div class="box box-info">
        <div class="box-header with-border">
            <h3 class="box-title" style="text-align: center">Add New Employee</h3>
        </div>
        <br>
        @if(Session::has('flash_message'))
            <div class="alert alert-success">
                {{ Session::get('flash_message') }}
            </div>
        @endif
        @if (count($errors) > 0)
            <div class="alert alert-danger">
                <strong>Error!</strong> please provide below form fields.<br><br>
                <ul>
                    @foreach($errors->all() as $error)
                        <li>{{$error}}</li>
                    @endforeach
                </ul>
            </div>
        @endif
        <br>
        <div class="box-body">
            <form method="post" action="{{url('add-employee')}}">
                <input type="hidden" name="_token" value="{{ csrf_token() }}">
            <div class="input-group">
                <span class="input-group-addon">#</span>
                <input type="text" name="code" autofocus class="form-control" placeholder="Employee Code">
            </div><br>
                <div class="input-group">
                    <div class="input-group-addon">
                        <i class="fa fa-user"></i>
                    </div>
                    <input type="text" name="name" class="form-control" placeholder="Employee Name">
                </div>
                <br>
                <div class="input-group">
                    <div class="input-group-addon">
                        <i class="fa fa-envelope"></i>
                    </div>
                    <input type="email" name="email" class="form-control" placeholder="Employee Email">
                </div>
                <br>
                <div class="input-group">
                    <div class="input-group-addon">
                        <i class="fa fa-phone"></i>
                    </div>
                    <input type="phone" name="cell" class="form-control" placeholder="Employee Cell">
                </div>
                <br>
                <div class="input-group">
                    <div class="input-group-addon">
                        <i class="fa fa-lock"></i>
                    </div>
                    <input type="password" name="password" class="form-control" placeholder="Employee Password">
                </div>
                <br>
                <div class="input-group">
                    <div class="input-group-addon">
                        <i class="fa fa-user"></i>
                    </div>
                    <input type="text" name="role" class="form-control" placeholder="Employee Role">
                </div>
               <br>
                <div class="form-group">

                    <select name="status" class="form-control select2" style="width: 100%;">
                        <option>Select Status</option>
                        <option>Active</option>
                        <option>In-Active</option>

                    </select>
                </div>

                <!--<div class="input-group date">
                    <div class="input-group-addon">
                        <i class="fa fa-calendar"></i>
                    </div>
                    <input type="text" class="form-control pull-right" id="datepicker">
                </div>
                <br>-->
                <div class="form-group">

                    <input type="submit" value="Create" class="btn btn-primary" id="">
                    <a href="{{url('employees')}}" class="btn btn-danger">Cancel</a>

                </div>
            </form>
        </div>

        <!-- /.box-body -->
    </div>

@endsection

@section('postJquery')
    @parent



@endsection