@extends('BackEnd.Admin.layouts.master')
@section('title', 'Edit Header Content')
@section('content')
    <div class="box box-info">
        <div class="box-header with-border">
            <h3 class="box-title">Edit Header Content</h3>
        </div>
        <br>
        @if(Session::has('flash_message'))
            <div class="alert alert-success">
                {{ Session::get('flash_message') }}
            </div>
        @endif
        @if (count($errors) > 0)
            <div class="alert alert-danger">
                <strong>Error!</strong> please provide below form fields.<br><br>
                <ul>
                    @foreach($errors->all() as $error)
                        <li>{{$error}}</li>
                    @endforeach
                </ul>
            </div>
        @endif
        <br>
        <div class="box-body">
            <form method="post" action="{{url('edit-header-content/'.$header->id)}}" enctype="multipart/form-data">
                <input type="hidden" name="_token" value="{{ csrf_token() }}">
            <div class="input-group">
                <span class="input-group-addon">#</span>
                <input type="file" name="file" id="" class="form-control">
            </div><br>
                <div class="input-group">
                    <div class="input-group-addon">
                        <i class="fa fa-user"></i>
                    </div>
                    <input type="text" name="slogan" value="{{old('slogan', $header->slogan)}}" class="form-control" placeholder="Slogan">
                </div>
                <br>
                <div class="input-group">
                    <div class="input-group-addon">
                        <i class="fa fa-envelope"></i>
                    </div>
                    <input type="text" name="cell" value="{{old('cell', $header->cell)}}" class="form-control" placeholder="Cell">
                </div>
                <br>
                <div class="input-group">
                    <div class="input-group-addon">
                        <i class="fa fa-phone"></i>
                    </div>
                    <input type="email" name="email" value="{{old('email', $header->email)}}" class="form-control" placeholder="Email">
                </div>
                <br>

                <div class="form-group">

                    <input type="submit" value="Update" class="btn btn-primary" id="">
                    <a href="{{url('header')}}" class="btn btn-danger">Cancel</a>

                </div>
            </form>
        </div>

        <!-- /.box-body -->
    </div>

@endsection

@section('postJquery')
    @parent



@endsection