@extends('BackEnd.Admin.layouts.master')

@section('title', 'Edit Home Content Section')

@section('content')
    <div class="box box-info">
        <div class="box-header with-border">
            <h3 class="box-title" style="text-align: center">Edit Home Content Section</h3>
        </div>
       
        @if(Session::has('flash_message'))
            <div class="alert alert-success">
                {{ Session::get('flash_message') }}
            </div>
        @endif
        @if (count($errors) > 0)
            <div class="alert alert-danger">
                <strong>Error!</strong> please provide below form fields.<br><br>
                <ul>
                    @foreach($errors->all() as $error)
                        <li>{{$error}}</li>
                    @endforeach
                </ul>
            </div>
        @endif
        <br>
        <div class="box-body">
            <form method="post" action="{{url('edit-home-content-section/'.$homecontentsection->id)}}" enctype="multipart/form-data">
                <input type="hidden" name="_token" value="{{ csrf_token() }}">
                <div class="input-group">
                    <div class="input-group-addon">
                        <i class="fa fa-user"></i>
                    </div>
                    <input type="text" name="title" value="{{old('title', $homecontentsection->title)}}" class="form-control" placeholder="Title">
                </div>

                <br>
                <div class="input-group">
                    <div class="input-group-addon">
                        <i class="fa fa-file"></i>
                    </div>
                    <input type="file" name="file" id="file" class="form-control">
                </div>
                <br>
               
                <div class="input-group" style="width: 100%">
                    <label for="welcome">Details</label>
                    <textarea class="form-control" rows="5" id="detail" name="detail">
                        {{$homecontentsection->details}}
                    </textarea>
                </div>
                <br>
                <p>upload pdf </p>
                 <div class="input-group">
                    <div class="input-group-addon">
                        <i class="fa fa-file"></i>
                    </div>
                    <input type="file" name="file2" id="file2" class="form-control">
                </div>
                <br>
                <div class="form-group">

                    <input type="submit" value="Update" class="btn btn-primary" id="">
                    <a href="{{url('home-content-sections')}}" class="btn btn-danger">Cancel</a>

                </div>
            </form>
            <br>

            <script>
                CKEDITOR.replace( 'detail' );
            </script>
        </div>

        <!-- /.box-body -->
    </div>

@endsection
