@extends('BackEnd.Admin.layouts.master')

@section('title', 'Add Human Resource')

@section('content')
    <div class="box box-info">
        <div class="box-header with-border">
            <h3 class="box-title" style="text-align: center">Add Human Resource</h3>
        </div>
        <br>
        @if(Session::has('flash_message'))
            <div class="alert alert-success">
                {{ Session::get('flash_message') }}
            </div>
        @endif
        @if (count($errors) > 0)
            <div class="alert alert-danger">
                <strong>Error!</strong> please provide below form fields.<br><br>
                <ul>
                    @foreach($errors->all() as $error)
                        <li>{{$error}}</li>
                    @endforeach
                </ul>
            </div>
        @endif
        <br>
        <div class="box-body">
            <form method="post" action="{{url('add-human-resource')}}" enctype="multipart/form-data">
            <input type="hidden" name="_token" value="{{ csrf_token() }}">
                <?php
                $resources = \App\HumanResourceCategory::all();
                ?>
                <br>
                <div class="form-group">

                    <select name="category" class="form-control select2" style="width: 100%;">
                        <option>Select Project</option>
                        @foreach($resources as $r)
                            <option value="{{$r->id}}">{{$r->name}}</option>
                        @endforeach

                    </select>
                </div>
                <div class="input-group">
                    <span class="input-group-addon">#</span>
                    <input type="text" name="title" autofocus class="form-control" placeholder="Title">
                </div>
                <br>
                <div class="input-group">
                    <span class="input-group-addon">#</span>
                    <input type="text" name="slug" class="form-control" placeholder="i.e title, title-one">
                </div>
                <br>

                <div class="input-group" style="width: 100%">
                    <label for="welcome">Details</label>
                    <textarea class="form-control" rows="5" id="detail" name="detail"></textarea>
                </div>
                <br>

                <div class="form-group">

                    <input type="submit" value="Create" class="btn btn-primary" id="">
                    <a href="{{url('human-resources')}}" class="btn btn-danger">Cancel</a>

                </div>
            </form>
            <br>

            <script>
                CKEDITOR.replace( 'detail' );
            </script>
        </div>

        <!-- /.box-body -->
    </div>

@endsection

@section('postJquery')
    @parent



@endsection