@extends('BackEnd.Admin.layouts.master')
@section('title', 'Human Resources')
@section('content')
<div class="row">
<div class="col-xs-12">
    <h3 class="box-title" style="text-align: center">All Human Resources</h3>
    <div class="box">
       <div class="box-header">
           <a href="{{url('human-resource-category')}}" class="btn btn-primary">Add Category +</a>
           <a href="{{url('add-human-resource')}}" class="btn btn-primary">Add New +</a>
            <div class="box-tools">
                <div class="input-group input-group-sm" style="width: 150px;">
                    <input type="text" name="table_search" class="form-control pull-right" placeholder="Search">
                    <div class="input-group-btn">
                        <button type="submit" class="btn btn-default"><i class="fa fa-search"></i></button>
                    </div>
                </div>
            </div>
        </div>
        <!-- /.box-header -->
        <div class="box-body table-responsive no-padding">
            <table class="table table-hover">
                <tr>
                    <th>Category</th>
                    <th>Slug</th>
                    <th>Title</th>
                    <th>Details</th>
                    <th>Date</th>
                    <th>Actions</th>
                </tr>
                @forelse($resources as $resource)
                    <tr>
                    <?php
                    $cat = \App\HumanResourceCategory
                        ::where('id', $resource->human_resource_id)->first();
                    ?>
                    <tr>
                    <td>{{$cat->name}}</td>
                    <td>{{$resource->slug}}</td>
                    <td>{{$resource->title}}</td>
                    <td>{!!$resource->details!!}</td>
                    <td>{{$resource->created_at}}</td>
                    <td><a href="{{url('edit-human-resource/'.$resource->id)}}" class="btn btn-primary">
                     Edit</a> |
                     <a href="{{url('delete-human-resource/'.$resource->id)}}" class="btn btn-danger">
                      Delete</a>
                        </td>
                </tr>
                @empty
                <tr><h2>No Results Found</h2></tr>
                @endforelse
            </table>
        </div>
        <!-- /.box-body -->
    </div>
    <!-- /.box -->
</div>
</div>
@endsection