@extends('BackEnd.Admin.layouts.master')

@section('title', 'Edit Management Profile')

@section('content')
    <div class="box box-info">
        <div class="box-header with-border">
            <h3 class="box-title" style="text-align: center">Edit Management Profile</h3>
        </div>
        <br>
        @if(Session::has('flash_message'))
            <div class="alert alert-success">
                {{ Session::get('flash_message') }}
            </div>
        @endif
        @if (count($errors) > 0)
            <div class="alert alert-danger">
                <strong>Error!</strong> please provide below form fields.<br><br>
                <ul>
                    @foreach($errors->all() as $error)
                        <li>{{$error}}</li>
                    @endforeach
                </ul>
            </div>
        @endif
        <br>
        <div class="box-body">
            <form method="post" action="{{url('edit-management-profile/'.$profile->id)}}" enctype="multipart/form-data">
                <input type="hidden" name="_token" value="{{ csrf_token() }}">
            <div class="input-group">
                <span class="input-group-addon">#</span>
                <input type="text" name="name" value="{{old('name', $profile->name)}}" autofocus class="form-control" placeholder="Name">
            </div>
                <br>
                <div class="input-group">
                    <span class="input-group-addon">#</span>
                    <input type="text" name="designation" value="{{old('designation', $profile->designation)}}" autofocus class="form-control" placeholder="Designation">
                </div>
                <br>
                <div class="input-group">
                    <span class="input-group-addon">#</span>
                    <input type="file" name="file" id="file" class="form-control">
                </div>
                <br>
                <div class="input-group" style="width: 100%">
                    <label for="welcome">Details</label>
                    <textarea class="form-control" rows="5" id="detail" name="detail">
                        {{$profile->details}}
                    </textarea>
                </div>
                <br>
                <div class="form-group">

                    <select name="status" class="form-control select2" style="width: 100%;">
                        <option>Select Status</option>
                        <option>Active</option>
                        <option>In-Active</option>

                    </select>
                </div>
                <div class="form-group">

                    <input type="submit" value="Update" class="btn btn-primary" id="">
                    <a href="{{url('management-profiles')}}" class="btn btn-danger">Cancel</a>

                </div>
            </form>
            <br>

            <script>
                CKEDITOR.replace( 'detail' );
            </script>
        </div>

        <!-- /.box-body -->
    </div>

@endsection

@section('postJquery')
    @parent



@endsection