@extends('BackEnd.Admin.layouts.master')

@section('title', 'Edit Physical Resource Category')

@section('content')
    <div class="box box-info">
        <div class="box-header with-border">
            <h3 class="box-title" style="text-align: center">Edit Physical Resource Category</h3>
        </div>
        <br>
        @if(Session::has('flash_message'))
            <div class="alert alert-danger">
                {{ Session::get('flash_message') }}
            </div>
        @endif
        @if (count($errors) > 0)
            <div class="alert alert-danger">
                <strong>Error!</strong> please provide below form fields.<br><br>
                <ul>
                    @foreach($errors->all() as $error)
                        <li>{{$error}}</li>
                    @endforeach
                </ul>
            </div>
        @endif
        <br>
        <div class="box-body">
            <form method="post" action="{{url('edit-physical-resource-category/'.$project->id)}}" enctype="multipart/form-data">
                <input type="hidden" name="_token" value="{{ csrf_token() }}">
                <div class="input-group">
                    <span class="input-group-addon">#</span>
                    <input type="text" name="category" value="{{old('category', $project->name)}}" autofocus class="form-control" placeholder="Category">
                </div>
                <br>
                <div class="form-group">
                    <input type="submit" value="Update" class="btn btn-primary" id="">
                    <a href="{{url('physical-resource-category')}}" class="btn btn-danger">Cancel</a>
                </div>
            </form>
            <br>

        </div>
        <!-- /.box-body -->
    </div>
@endsection
