@extends('BackEnd.Admin.layouts.master')

@section('title', 'Edit Project In Hands')

@section('content')
    <div class="box box-info">
        <div class="box-header with-border">
            <h3 class="box-title" style="text-align: center">Edit Project In Hands</h3>
        </div>
        <br>
        @if(Session::has('flash_message'))
            <div class="alert alert-success">
                {{ Session::get('flash_message') }}
            </div>
        @endif
        @if (count($errors) > 0)
            <div class="alert alert-danger">
                <strong>Error!</strong> please provide below form fields.<br><br>
                <ul>
                    @foreach($errors->all() as $error)
                        <li>{{$error}}</li>
                    @endforeach
                </ul>
            </div>
        @endif
        <br>
        <div class="box-body">
            <form method="post" action="{{url('edit-project-in-hands/'.$project->id)}}" enctype="multipart/form-data">
                <input type="hidden" name="_token" value="{{ csrf_token() }}">
                <?php
                $categories = \App\ProjectInHandCategory::all();
                ?>
                <br>
                <div class="form-group">

                    <select name="category" class="form-control select2" style="width: 100%;">
                        <option>Select Category</option>
                        @foreach($categories as $cat)
                            <option value="{{$cat->id}}">{{$cat->name}}</option>
                        @endforeach

                    </select>
                </div>
                <div class="input-group">
                    <span class="input-group-addon">#</span>
                    <input type="text" name="title" value="{{old('title', $project->title)}}" class="form-control" placeholder="Project Title">
                </div>
                <br>
                <div class="input-group" style="width: 100%">
                    <label for="welcome">Details</label>
                    <textarea class="form-control" rows="5" id="detail" name="detail">
                        {{$project->details}}
                    </textarea>
                </div>
                <br>


                <div class="form-group">

                    <input type="submit" value="Update" class="btn btn-primary" id="">
                    <a href="{{url('projects-in-hands')}}" class="btn btn-danger">Cancel</a>

                </div>
            </form>
        </div>

        <!-- /.box-body -->
    </div>

@endsection

@section('postJquery')
    @parent



@endsection