@extends('BackEnd.Admin.layouts.master')

@section('title', 'Edit Social Profile')

@section('content')
    <div class="box box-info">
        <div class="box-header with-border">
            <h3 class="box-title" style="text-align: center">Edit Social Profile</h3>
        </div>
        <br>
        @if(Session::has('flash_message'))
            <div class="alert alert-success">
                {{ Session::get('flash_message') }}
            </div>
        @endif
        @if (count($errors) > 0)
            <div class="alert alert-danger">
                <strong>Error!</strong> please provide below form fields.<br><br>
                <ul>
                    @foreach($errors->all() as $error)
                        <li>{{$error}}</li>
                    @endforeach
                </ul>
            </div>
        @endif
        <br>
        <div class="box-body">
            <form method="post" action="{{url('edit-social/'.$social->id)}}" enctype="multipart/form-data">
                <input type="hidden" name="_token" value="{{ csrf_token() }}">
                <div class="input-group">
                    <span class="input-group-addon">#</span>
                    <input type="text" name="title" value="{{old('title', $social->title)}}" autofocus class="form-control" placeholder="Title">
                </div>
                <br>
                <div class="input-group">
                    <span class="input-group-addon">#</span>
                    <input type="text" name="link" value="{{old('link', $social->link)}}" class="form-control" placeholder="Link">
                </div>
                <br>
                <div class="input-group">
                    <span class="input-group-addon">#</span>
                    <input type="text" name="target" value="{{old('target', $social->target)}}" class="form-control" placeholder="Target">
                </div>

                <br>
                <div class="form-group">
                    <input type="submit" value="Update" class="btn btn-primary" id="">
                    <a href="{{url('socials')}}" class="btn btn-danger">Cancel</a>
                </div>
            </form>

        </div>
        <!-- /.box-body -->
    </div>
@endsection
