<?php

/*
|--------------------------------------------------------------------------
| Web Routes
|--------------------------------------------------------------------------
|
| Here is where you can register web routes for your application. These
| routes are loaded by the RouteServiceProvider within a group which
| contains the "web" middleware group. Now create something great!
|
*/

// FrontEnd
Route::get('/','FrontEnd\HomeController@getIndex');

Route::get('/thaheem-quality-management',
        'FrontEnd\HomeController@getThaheemQualityManagement');

Route::get('/thaheem-business-sectors',
        'FrontEnd\HomeController@getThaheemBusinessSectors');

Route::get('/thaheem-awards-achievements',
        'FrontEnd\HomeController@getThaheemAwardsAchievements');


Route::get('/message-vision','FrontEnd\HomeController@getMessageVision');

Route::get('/oganization-chart','FrontEnd\HomeController@getOrganizationChart');

Route::get('/management-profile','FrontEnd\HomeController@getManagementProfile');

Route::get('/news-updates','FrontEnd\HomeController@getNewsUpdates');

Route::get('/services','FrontEnd\HomeController@getServices');

Route::get('/thaheem-concrete','FrontEnd\HomeController@getThaheemConcrete');

Route::get('/thaheem-farms','FrontEnd\HomeController@getThaheemFarms');

Route::get('/ubaidullah-enterprises','FrontEnd\HomeController@getUbaidullahEnterprises');

Route::get('/abdullah-builder','FrontEnd\HomeController@getAbdullahBuilder');

Route::get('/manzoor-builders','FrontEnd\HomeController@getManzoorBuilders');

Route::get('/uzair-builders','FrontEnd\HomeController@getUzairBuilders');

Route::get('/thaheem-construction','FrontEnd\HomeController@getThaheemConstruction');

Route::get('/ubaidullah-builders','FrontEnd\HomeController@getUbaidullahBuilders');

Route::get('/tcc-construction','FrontEnd\HomeController@getTccConstruction');

Route::get('/project-completed','FrontEnd\HomeController@getProjectCompleted');

Route::get('/project-completed-lists/{id?}','FrontEnd\HomeController@getProjectCompletedList');

Route::get('/project-completed-single/{id?}','FrontEnd\HomeController@getProjectCompletedSingle');

Route::get('/project-in-hand','FrontEnd\HomeController@getProjectInHand');

Route::get('/project-in-hand-list/{id?}','FrontEnd\HomeController@getProjectInHandList');

Route::get('/project-in-hand-single/{id?}','FrontEnd\HomeController@getProjectInHandSingle');

Route::get('/project-presentation','FrontEnd\HomeController@getProjectPresentation');

Route::get('/human-resource','FrontEnd\HomeController@getHumanResource');

Route::get('/physical-resource','FrontEnd\HomeController@getPhysicalResource');

Route::get('/completion-certificate','FrontEnd\HomeController@getCompletionCertificate');

Route::get('/affliation-certificate','FrontEnd\HomeController@getAffliation');

Route::get('/pec-certificate','FrontEnd\HomeController@getPEC');

Route::get('/system-login','FrontEnd\HomeController@getSystemLogin');

Route::post('/system-login','FrontEnd\HomeController@postSystemLogin');

Route::get('/admin-login','FrontEnd\HomeController@getAdminLogin');

Route::post('/admin-login','FrontEnd\HomeController@postAdminLogin');

Route::get('/tender','FrontEnd\HomeController@getAddTender');

Route::post('/tender','FrontEnd\HomeController@postAddTender');

Route::get('/job-application','FrontEnd\HomeController@getAddJobApplication');

Route::post('/job-application','FrontEnd\HomeController@postAddJobApplication');

Route::get('/office-location','FrontEnd\HomeController@getOfficeLocation');

Route::get('/downloads','FrontEnd\HomeController@getDownload');

Route::get('/system-links','FrontEnd\HomeController@getSystemLinks');


// BackEnd
Route::get('/logout', ['as'=> 'logout',
    'uses' => 'BackEnd\HomeController@logout']);
Route::get('/system-links-logout', ['as'=> 'system-links-logout',
    'uses' => 'BackEnd\HomeController@systemLinksLogOut']);

//Admin

Route::group(['middleware' => 'can:admin'], function () {

    Route::get('/dashboard', 'BackEnd\HomeController@getDashboard');

// Header
    Route::get('/header', 'BackEnd\HomeController@getHeader');

    Route::get('/edit-header-content/{id?}', 'BackEnd\HomeController@getEditHeader');
    Route::post('/edit-header-content/{id?}', 'BackEnd\HomeController@postEditHeader');

// Slider

    Route::get('/sliders', 'BackEnd\HomeController@getAllSliderImages');

    Route::get('/add-slider-image', 'BackEnd\HomeController@getAddSliderImage');
    Route::post('/add-slider-image', 'BackEnd\HomeController@postAddSliderImage');

    Route::get('/edit-slider-image/{id?}', 'BackEnd\HomeController@getEditSliderImage');
    Route::post('/edit-slider-image/{id?}', 'BackEnd\HomeController@postEditSliderImage');

    Route::get('/delete-slider-image/{id?}', 'BackEnd\HomeController@getDeleteSliderImage');
    Route::post('/delete-slider-image/{id?}', 'BackEnd\HomeController@postDeleteSliderImage');

// Social Links

    Route::get('/socials', 'BackEnd\HomeController@getAllSocial');

    Route::get('/add-social', 'BackEnd\HomeController@getAddSocial');
    Route::post('/add-social', 'BackEnd\HomeController@postAddSocial');

    Route::get('/edit-social/{id?}', 'BackEnd\HomeController@getEditSocial');
    Route::post('/edit-social/{id?}', 'BackEnd\HomeController@postEditSocial');

    Route::get('/delete-social/{id?}', 'BackEnd\HomeController@getDeleteSocial');
    Route::post('/delete-social/{id?}', 'BackEnd\HomeController@postDeleteSocial');

// Clients

    Route::get('/clients', 'BackEnd\HomeController@getAllClients');

    Route::get('/add-client', 'BackEnd\HomeController@getAddClient');
    Route::post('/add-client', 'BackEnd\HomeController@postAddClient');

    Route::get('/edit-client/{id?}', 'BackEnd\HomeController@getEditClient');
    Route::post('/edit-client/{id?}', 'BackEnd\HomeController@postEditClient');

    Route::get('/delete-client/{id?}', 'BackEnd\HomeController@getDeleteClient');
    Route::post('/delete-client/{id?}', 'BackEnd\HomeController@postDeleteClient');


// Testimonials

    Route::get('/testimonials', 'BackEnd\HomeController@getAllTestimonials');

    Route::get('/add-testimonial', 'BackEnd\HomeController@getAddTestimonial');
    Route::post('/add-testimonial', 'BackEnd\HomeController@postAddTestimonial');

    Route::get('/edit-testimonial/{id?}', 'BackEnd\HomeController@getEditTestimonial');
    Route::post('/edit-testimonial/{id?}', 'BackEnd\HomeController@postEditTestimonial');

    Route::get('/delete-testimonial/{id?}', 'BackEnd\HomeController@getDeleteTestimonial');
    Route::post('/delete-testimonial/{id?}', 'BackEnd\HomeController@postDeleteTestimonial');

// News update

    Route::get('/news', 'BackEnd\HomeController@getAllNews');

    Route::get('/add-news', 'BackEnd\HomeController@getAddNews');
    Route::post('/add-news', 'BackEnd\HomeController@postAddNews');

    Route::get('/edit-news/{id?}', 'BackEnd\HomeController@getEditNews');
    Route::post('/edit-news/{id?}', 'BackEnd\HomeController@postEditNews');

    Route::get('/delete-news/{id?}', 'BackEnd\HomeController@getDeleteNews');
    Route::post('/delete-news/{id?}', 'BackEnd\HomeController@postDeleteNews');

// Home Content Sections

    Route::get('/home-content-sections', 'BackEnd\HomeController@getAllHomeContentSections');

    Route::get('/add-home-content-section', 'BackEnd\HomeController@getAddHomeContentSection');
    Route::post('/add-home-content-section', 'BackEnd\HomeController@postAddHomeContentSection');

    Route::get('/edit-home-content-section/{id?}', 'BackEnd\HomeController@getEditHomeContentSection');
    Route::post('/edit-home-content-section/{id?}', 'BackEnd\HomeController@postEditHomeContentSection');

    Route::get('/delete-home-content-section/{id?}', 'BackEnd\HomeController@getDeleteHomeContentSection');
    Route::post('/delete-home-content-section/{id?}', 'BackEnd\HomeController@postDeleteHomeContentSection');

// Content

    Route::get('/contents', 'BackEnd\HomeController@getAllContents');

    Route::get('/add-content', 'BackEnd\HomeController@getAddContent');
    Route::post('/add-content', 'BackEnd\HomeController@postAddContent');


    Route::get('/edit-content/{id?}', 'BackEnd\HomeController@getEditContent');
    Route::post('/edit-content/{id?}', 'BackEnd\HomeController@postEditContent');

    Route::get('/delete-content/{id?}', 'BackEnd\HomeController@getDeleteContent');
    Route::post('/delete-content/{id?}', 'BackEnd\HomeController@postDeleteContent');

// Content Images

    Route::get('/content-images', 'BackEnd\HomeController@getAllContentImage');

    Route::get('/add-content-image', 'BackEnd\HomeController@getAddContentImage');
    Route::post('/add-content-image', 'BackEnd\HomeController@postAddContentImage');

    Route::get('/delete-content-image/{id?}', 'BackEnd\HomeController@getDeleteContentImage');
    Route::post('/delete-content-image/{id?}', 'BackEnd\HomeController@postDeleteContentImage');



// CEO Message

    Route::get('/ceo-message', 'BackEnd\HomeController@getAllCEO');


    Route::get('/edit-ceo-message/{id?}', 'BackEnd\HomeController@getEditCEO');
    Route::post('/edit-ceo-message/{id?}', 'BackEnd\HomeController@postEditCEO');

// Project Completed Category

    Route::get('/projects-categories', 'BackEnd\HomeController@getAllProjectCategory');

    Route::get('/add-project-category', 'BackEnd\HomeController@getAddProjectCategory');
    Route::post('/add-project-category', 'BackEnd\HomeController@postAddProjectCategory');

    Route::get('/edit-project-category/{id?}', 'BackEnd\HomeController@getEditProjectCategory');
    Route::post('/edit-project-category/{id?}', 'BackEnd\HomeController@postEditProjectCategory');

    Route::get('/delete-project-category/{id?}', 'BackEnd\HomeController@getDeleteProjectCategory');
    Route::post('/delete-project-category/{id?}', 'BackEnd\HomeController@postDeleteProjectCategory');


// Projects Completed

    Route::get('/projects-completed', 'BackEnd\HomeController@getAllProjectCompleted');

    Route::get('/add-project-completed', 'BackEnd\HomeController@getAddProjectCompleted');
    Route::post('/add-project-completed', 'BackEnd\HomeController@postAddProjectCompleted');

    Route::get('/edit-project-completed/{id?}', 'BackEnd\HomeController@getEditProjectCompleted');
    Route::post('/edit-project-completed/{id?}', 'BackEnd\HomeController@postEditProjectCompleted');

    Route::get('/delete-project-completed/{id?}', 'BackEnd\HomeController@getDeleteProjectCompleted');
    Route::post('/delete-project-completed/{id?}', 'BackEnd\HomeController@postDeleteProjectCompleted');


// Projects Completed Images

    Route::get('/projects-completed-images', 'BackEnd\HomeController@getAllProjectCompletedImages');

    Route::get('/add-project-completed-images', 'BackEnd\HomeController@getAddProjectCompletedImages');
    Route::post('/add-project-completed-images', 'BackEnd\HomeController@postAddProjectCompletedImages');

    Route::get('/edit-project-completed-images/{id?}', 'BackEnd\HomeController@getEditProjectCompletedImages');
    Route::post('/edit-project-completed-images/{id?}', 'BackEnd\HomeController@postEditProjectCompletedImages');

    Route::get('/delete-project-completed-images/{id?}', 'BackEnd\HomeController@getDeleteProjectCompletedImages');
    Route::post('/delete-project-completed-images/{id?}', 'BackEnd\HomeController@postDeleteProjectCompletedImages');


// Project In Hands Category

    Route::get('/projects-in-hand-categories', 'BackEnd\HomeController@getAllProjectInHandCategory');

    Route::get('/add-project-in-hand-category', 'BackEnd\HomeController@getAddProjectInHandCategory');
    Route::post('/add-project-in-hand-category', 'BackEnd\HomeController@postAddProjectInHandCategory');

    Route::get('/edit-project-in-hand-category/{id?}', 'BackEnd\HomeController@getEditProjectInHandCategory');
    Route::post('/edit-project-in-hand-category/{id?}', 'BackEnd\HomeController@postEditProjectInHandCategory');

    Route::get('/delete-project-in-hand-category/{id?}', 'BackEnd\HomeController@getDeleteProjectInHandCategory');
    Route::post('/delete-project-in-hand-category/{id?}', 'BackEnd\HomeController@postDeleteProjectInHandCategory');

// Projects In Hands

    Route::get('/projects-in-hands', 'BackEnd\HomeController@getAllProjectInHands');

    Route::get('/add-project-in-hands', 'BackEnd\HomeController@getAddProjectInHands');
    Route::post('/add-project-in-hands', 'BackEnd\HomeController@postAddProjectInHands');

    Route::get('/edit-project-in-hands/{id?}', 'BackEnd\HomeController@getEditProjectInHands');
    Route::post('/edit-project-in-hands/{id?}', 'BackEnd\HomeController@postEditProjectInHands');

    Route::get('/delete-project-in-hands/{id?}', 'BackEnd\HomeController@getDeleteProjectInHands');
    Route::post('/delete-project-in-hands/{id?}', 'BackEnd\HomeController@postDeleteProjectInHands');


// Projects In Hand Images

    Route::get('/projects-in-hand-images', 'BackEnd\HomeController@getAllProjectInHandImages');

    Route::get('/add-project-in-hand-images', 'BackEnd\HomeController@getAddProjectInHandImages');
    Route::post('/add-project-in-hand-images', 'BackEnd\HomeController@postAddProjectInHandImages');

    Route::get('/edit-project-in-hand-images/{id?}', 'BackEnd\HomeController@getEditProjectInHandImages');
    Route::post('/edit-project-in-hand-images/{id?}', 'BackEnd\HomeController@postEditProjectInHandImages');

    Route::get('/delete-project-in-hand-images/{id?}', 'BackEnd\HomeController@getDeleteProjectInHandImages');
    Route::post('/delete-project-in-hand-images/{id?}', 'BackEnd\HomeController@postDeleteProjectInHandImages');


// Resources


// Human Resource Category
    Route::get('/human-resource-category', 'BackEnd\HomeController@getAllHumanResourceCategory');

    Route::get('/add-human-resource-category', 'BackEnd\HomeController@getAddHumanResourceCategory');
    Route::post('/add-human-resource-category', 'BackEnd\HomeController@postAddHumanResourceCategory');

    Route::get('/edit-human-resource-category/{id?}', 'BackEnd\HomeController@getEditHumanResourceCategory');
    Route::post('/edit-human-resource-category/{id?}', 'BackEnd\HomeController@postEditHumanResourceCategory');

    Route::get('/delete-human-resource-category/{id?}', 'BackEnd\HomeController@getDeleteHumanResourceCategory');
    Route::post('/delete-human-resource-category/{id?}', 'BackEnd\HomeController@postDeleteHumanResourceCategory');

// Human Resource

    Route::get('/human-resources', 'BackEnd\HomeController@getAllHumanResource');

    Route::get('/add-human-resource', 'BackEnd\HomeController@getAddHumanResource');
    Route::post('/add-human-resource', 'BackEnd\HomeController@postAddHumanResource');

    Route::get('/edit-human-resource/{id?}', 'BackEnd\HomeController@getEditHumanResource');
    Route::post('/edit-human-resource/{id?}', 'BackEnd\HomeController@postEditHumanResource');

    Route::get('/delete-human-resource/{id?}', 'BackEnd\HomeController@getDeleteHumanResource');
    Route::post('/delete-human-resource/{id?}', 'BackEnd\HomeController@postDeleteHumanResource');

// Physical Resource Category

    Route::get('/physical-resource-category', 'BackEnd\HomeController@getAllPhysicalResourceCategory');

    Route::get('/add-physical-resource-category', 'BackEnd\HomeController@getAddPhysicalResourceCategory');
    Route::post('/add-physical-resource-category', 'BackEnd\HomeController@postAddPhysicalResourceCategory');

    Route::get('/edit-physical-resource-category/{id?}', 'BackEnd\HomeController@getEditPhysicalResourceCategory');
    Route::post('/edit-physical-resource-category/{id?}', 'BackEnd\HomeController@postEditPhysicalResourceCategory');

    Route::get('/delete-physical-resource-category/{id?}', 'BackEnd\HomeController@getDeletePhysicalResourceCategory');
    Route::post('/delete-physical-resource-category/{id?}', 'BackEnd\HomeController@postDeletePhysicalResourceCategory');

// Physical Resource

    Route::get('/physical-resources', 'BackEnd\HomeController@getAllPhysicalResource');

    Route::get('/add-physical-resource', 'BackEnd\HomeController@getAddPhysicalResource');
    Route::post('/add-physical-resource', 'BackEnd\HomeController@postAddPhysicalResource');

    Route::get('/edit-physical-resource/{id?}', 'BackEnd\HomeController@getEditPhysicalResource');
    Route::post('/edit-physical-resource/{id?}', 'BackEnd\HomeController@postEditPhysicalResource');

    Route::get('/delete-physical-resource/{id?}', 'BackEnd\HomeController@getDeletePhysicalResource');
    Route::post('/delete-physical-resource/{id?}', 'BackEnd\HomeController@postDeletePhysicalResource');

// Contact Details

    Route::get('/contact-details', 'BackEnd\HomeController@getAllContactDetails');

    Route::get('/add-contact-details', 'BackEnd\HomeController@getAddContactDetails');
    Route::post('/add-contact-details', 'BackEnd\HomeController@postAddContactDetails');

    Route::get('/edit-contact-details/{id?}', 'BackEnd\HomeController@getEditContactDetails');
    Route::post('/edit-contact-details/{id?}', 'BackEnd\HomeController@postEditContactDetails');

    Route::get('/delete-contact-details/{id?}', 'BackEnd\HomeController@getDeleteContactDetails');
    Route::post('/delete-contact-details/{id?}', 'BackEnd\HomeController@postDeleteContactDetails');

// Pages Content

//  Management Profile

    Route::get('/management-profiles', 'BackEnd\HomeController@getAllManagementProfile');

    Route::get('/add-management-profile', 'BackEnd\HomeController@getAddManagementProfile');
    Route::post('/add-management-profile', 'BackEnd\HomeController@postAddManagementProfile');

    Route::get('/edit-management-profile/{id?}', 'BackEnd\HomeController@getEditManagementProfile');
    Route::post('/edit-management-profile/{id?}', 'BackEnd\HomeController@postEditManagementProfile');

    Route::get('/delete-management-profile/{id?}', 'BackEnd\HomeController@getDeleteManagementProfile');
    Route::post('/delete-management-profile/{id?}', 'BackEnd\HomeController@postDeleteManagementProfile');


// Quality

// Completion Certificate

    Route::get('/completion-certificates', 'BackEnd\HomeController@getAllCompletionCertificate');

    Route::get('/add-completion-certificate', 'BackEnd\HomeController@getAddCompletionCertificate');
    Route::post('/add-completion-certificate', 'BackEnd\HomeController@postAddCompletionCertificate');

    Route::get('/delete-completion-certificate/{id?}', 'BackEnd\HomeController@getDeleteCompletionCertificate');
    Route::post('/delete-completion-certificate/{id?}', 'BackEnd\HomeController@postDeleteCompletionCertificate');

// Affliation-certificate

    Route::get('/affliations', 'BackEnd\HomeController@getAllAffliation');

    Route::get('/add-affliation', 'BackEnd\HomeController@getAddAffliation');
    Route::post('/add-affliation', 'BackEnd\HomeController@postAddAffliation');

    Route::get('/delete-affliation/{id?}', 'BackEnd\HomeController@getDeleteAffliation');
    Route::post('/delete-affliation/{id?}', 'BackEnd\HomeController@postDeleteAffliation');

// PEC-certificate

    Route::get('/pec-certificates', 'BackEnd\HomeController@getAllPEC');

    Route::get('/add-pec-certificate', 'BackEnd\HomeController@getAddPEC');
    Route::post('/add-pec-certificate', 'BackEnd\HomeController@postAddPEC');

    Route::get('/delete-pec-certificate/{id?}', 'BackEnd\HomeController@getDeletePEC');
    Route::post('/delete-pec-certificate/{id?}', 'BackEnd\HomeController@postDeletePEC');

// Contact
// Tender

    Route::get('/tender-inquiries', 'BackEnd\HomeController@geAllTender');

    Route::get('/delete-tender/{id?}', 'BackEnd\HomeController@getDeleteTender');
    Route::post('/delete-tender/{id?}', 'BackEnd\HomeController@postDeleteTender');

// Job Application

    Route::get('/job-applications', 'BackEnd\HomeController@geAllJobApplication');

    Route::get('/delete-job-application/{id?}', 'BackEnd\HomeController@getDeleteJobApplication');
    Route::post('/delete-job-application/{id?}', 'BackEnd\HomeController@postDeleteJobApplication');

    Route::get('/test', 'BackEnd\HomeController@getAddTest');
    Route::post('/test', 'BackEnd\HomeController@postAddTest');

// Downloads

    Route::get('/download', 'BackEnd\HomeController@getAllDownload');

    Route::get('/add-download', 'BackEnd\HomeController@getAddDownload');
    Route::post('/add-download', 'BackEnd\HomeController@postAddDownload');

    Route::get('/delete-download/{id?}', 'BackEnd\HomeController@getDeleteDownload');
    Route::post('/delete-download/{id?}', 'BackEnd\HomeController@postDeleteDownload');

// Maps 

    Route::get('/maps', 'BackEnd\HomeController@getAllMap');

    Route::get('/add-map', 'BackEnd\HomeController@getAddMap');
    Route::post('/add-map', 'BackEnd\HomeController@postAddMap');
    
    Route::get('/edit-map/{id?}', 'BackEnd\HomeController@getEditMap');
    Route::post('/edit-map/{id?}', 'BackEnd\HomeController@postEditMap');

    Route::get('/delete-map/{id?}', 'BackEnd\HomeController@getDeleteMap');
    Route::post('/delete-map/{id?}', 'BackEnd\HomeController@postDeleteMap');
    
    // Employees

    Route::get('/all-employees', 'BackEnd\HomeController@getAllEmployee');

    Route::get('/add-employee', 'BackEnd\HomeController@getAddEmployee');
    Route::post('/add-employee', 'BackEnd\HomeController@postAddEmployee');

    Route::get('/edit-employee/{id?}', 'BackEnd\HomeController@getEditEmployee');
    Route::post('/edit-employee/{id?}', 'BackEnd\HomeController@postEditEmployee');

    Route::get('/delete-employee/{id?}', 'BackEnd\HomeController@getDeleteEmployee');
    Route::post('/delete-employee/{id?}', 'BackEnd\HomeController@postDeleteEmployee');

    

});




Auth::routes();

Route::get('/home', 'HomeController@index');
